﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
		<meta http-equiv="content-language" content="fr" />
		<link rel="stylesheet" type="text/css" href="css/Style_Index_P.css"/>
		<script type="text/javascript" charset="utf-8" src="script/jquery-1.3.2.min.js"></script>
		<script type="text/javascript" charset="utf-8" src="script/DomoMaison_config.js"></script>
        <script type="text/javascript">
			
            // --------------- Variables globales de la page index.php du programme DomoMaison_2017 -------------------------------------------------
			var ipJ = '';											// ip de l'ordinateur appelant
			var wsArdu = '';										// adresse websocket de l'Arduino
			var autorise = false;									// variable pour bloquer les boutons si code non valide
			var lienPage;

			// --------------------------------------------------------------------------------------------------------------------------------------
			
			// ******************************Début des fonctions WebSocket **************************************************************************
            
			// Fonction d'initialisation de la page
			$(document).ready(function()
			{
				recupIp();
				testWebSocket();
			});

 			// Fonction de récupération de l'ip de l'appelant
			function recupIp()
			{
				<?php $ip=$_SERVER["REMOTE_ADDR"];?>
				 ipJ = '<?php echo $ip; ?>' ;
					if ((ipJ == '::1') || (ipJ.substring(0,9 )== '192.168.1')) {
						wsArdu = WS_ARDU_LOCAL;										// ordinateur appelant local
					}
					else {
						wsArdu = WS_ARDU_INTERNET;									// ordinateur appelant Internet
					}
			}
			
			// Fonction de test de la connexion websocket
			function testWebSocket()
			{
            	wssocket = new WebSocket(wsArdu);
                wssocket.onopen = function() { onOpen() };
                wssocket.onmessage = function(evt) { onMessage(evt) };
            	wssocket.onerror = function(evt) {onError(evt) };
         		wssocket.onclose = function() { onClose() };
			}

			// Fonction de connexion du websocket
			function onOpen()
			{
				$l("WsConnect").innerHTML = 'Connecté...';
				$l("WsConnect").style.backgroundColor = 'rgb(228,244,244)';
				wssocket.send("Connexion etablie");
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';51)');								// envoi de la page en cours
			}
			
			// Fonction de fermeture du websocket
			function onClose()
			{
				$l("WsConnect").innerHTML = 'Déconnecté...';
				$l("WsConnect").style.backgroundColor = 'red';
				//wssocket.close();
				sessionStorage.removeItem('code_acces');
				wssocket = null;
			}

			// Fonction de traitement des messages reçu de la centrale domotique
			function onMessage(evt)
			{
 				var identifiantRecu = 'XXXX';									// identifiant dans la trame reçue du serveur
				var typeRecu = 'XXXXX';											// type d'information reçue du serveur
				var valeurRecue = 'XXX';										// valeur de l'information reçue du serveur
				var rangRecu = 'XX';											// rang signalant le type de données reçues
				var champRecu = 'XXXX';											// champ d'information reçu du serveur
				var chaineRecue = evt.data.substring(1,evt.data.length-1);		// supprime les parenthèses en début et fin de chaine
				var tableau = chaineRecue.split(';');							// extrait les données
				window.console.log(evt.data);									// pour DEBUG
				identifiantRecu = tableau[0];
				typeRecu=tableau[1];
				// vérification de l'identifiant de la carte
					if (identifiantRecu == IDENT_BOARD) {
						if (typeRecu == 'REACC') {								// vérification de l'autorisation d'accès
							valeurRecue = tableau[2];
							// test du code d'interdiction d'accès"
							if (valeurRecue == 'INT') {
            					$l("WsAcces").innerHTML = 'Accès interdit...';
								$l("WsAcces").style.backgroundColor = 'red';
								autorise = false;
								wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC;18)');		// envoi du numéro de page demandée
								lienPage = "Page_Clavier_P.php";
								setTimeout("golien()", TIMER_PAGE);
							}
							else if (valeurRecue == 'AUT') {
            					$l("WsAcces").innerHTML = 'Accès autorisé...';
								$l("WsAcces").style.backgroundColor = 'rgb(228,244,244)';
								autorise=true;
							}
						}
					}
			}

			// Fonction de traitement des erreurs de la connexion websocket
			function onError(evt)
			{
            	$l("WsConnect").innerHTML = 'ERROR: ' + evt.data;
				sessionStorage.removeItem('code_acces');
			}
			// ****************************** Fin des fonctions WebSocket ***************************************************************************

			// Fonction de traitement d'envoi de demande de début et fin d'accès.
    		function doSend(message)
			{
				if (message == 'demande_acces'){
					wssocket.send('(' + IDENT_BOARD + ';' + 'ACCES' + ';' + sessionStorage.getItem('code_acces') + ')');	//chaine d'envoi de demande d'accès.	
				}
				if (message == 'fin_acces'){
					wssocket.send('(' + IDENT_BOARD + ';' + 'ACCES' + ';' + '    ' + ')');								//chaine d'envoi de fin d'accès.	
				}
			}
			
			// Fonction de signalisation de la fin de session à la centrale domotique
			function ffin_acces()
			{
				doSend('fin_acces');
				sessionStorage.removeItem('code_acces');
    		}
	
			//Fonction temporisée d'affichage de page après deconnexion du websocket.
			function lienpageweb(page, numP)
			{
				if (autorise == true) {
					wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';' + numP + ')');		// envoi du numéro de page demandée
					//onClose();
					lienPage = page;
					setTimeout("golien()", TIMER_PAGE);
				}
    		}
			
    		// Fonction d'ouverture de la page demandée
			function golien()
			{
				document.location.href = lienPage;
    		}
			
			// Fonction pour simplifier l'accès aux variables de la page
			function $l(id)
			{
  				return document.getElementById(id); 	// fonction '$' recherche l'element html par son 'id'
			}
			
	// --------------------------------------------- Fin javascript ---------------------------------------------------------------------------------
	</script>
	</head>
	<body>
		<div id="Titre_Page">
			<center><img id="Image_Titre" src="Images/Titre_Acceuil.png" alt="Titre Acceuil" /></center>
		</div>
		<br/>
		<div class="GroupeBoutons">
			<a target="_blank" onclick='lienpageweb("Page_Volets.php","02")'><img class="Bouton" src="Images/Bouton_Volet.png" alt="Bouton Volets" /></a>
			<a target="_blank" onclick='lienpageweb("Page_Portail_P.php","03")'><img class="Bouton" src="Images/Bouton_Portail.png" alt="Bouton Portail" /></a>
			<a target="_blank" onclick='lienpageweb("Page_Garage_P.php","04")'><img class="Bouton" src="Images/Bouton_Garage.png" alt="Bouton Porte garage" /></a>
		</div>
		<div class="GroupeBoutons">
			<a target="_blank" onclick='lienpageweb("Page_Chauffage_P.php","05")'><img class="Bouton" src="Images/Bouton_Chauffage.png" alt="Bouton Chauffage" /></a>
			<a target="_blank" onclick='lienpageweb("Page_Commande_P.php","06")'><img class="Bouton" src="Images/Bouton_Lampes.png" alt="Bouton Lampes" /></a>
			<a target="_blank" onclick='lienpageweb("Page_Alarme.php","07")'><img class="Bouton" src="Images/Bouton_Alarme.png" alt="Bouton Alarme" /></a>
		</div>
		<div class="GroupeBoutons">
			<a target="_blank" onclick='lienpageweb("Page_Camera.php","14")'><img class="Bouton" src="Images/Bouton_Camera_2.png" alt="Bouton Camera" /></a>
			<a target="_blank" onclick='lienpageweb("Page_Electricite.php","08")'><img class="Bouton" src="Images/Bouton_Electricite.png" alt="Bouton Electricité" /></a>
			<a target="_blank" onclick='lienpageweb("Page_Incendie_P.php","09")'><img class="Bouton" src="Images/Bouton_Incendie.png" alt="Bouton Incendie" /></a>
		</div>
		<div class="GroupeBoutons">
			<a target="_blank" onclick='lienpageweb("Page_Eau_P.php","10")'><img class="Bouton" src="Images/Bouton_Eau.png" alt="Bouton Eau" /></a>
			<a target="_blank" onclick='lienpageweb("Page_Parametres.php","11")'><img class="Bouton" src="Images/Bouton_Param.png" alt="Bouton Param" /></a>
		</div>
        <p></p>
		<!-- Tableau d'affichage du status de la connexion au serveur websocket -->
        <div>
        	<table id="TabStatus">
        		<tbody><tr>
            		<td>Status Connexion :</td>
               	  	<td><div id="WsConnect">Déconnecté...</div></td>
               	  	<td><div id="WsAcces">Accès non autorisé</div></td>
            	</tr></tbody>
       		</table>
        </div>
        <div id="FinSession">
			<input id="FinAutorisation" value="Fin session" onclick="ffin_acces()" type="button" />
		</div>
	</body>
</html>