<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta http-equiv="content-language" content="fr" />
		<link rel="stylesheet" type="text/css" href="css/Style_Alarme.css" />
		<script src="external/jquery/jquery.js"></script>
		<script language="javascript" type="text/javascript" src="script/DomoMaison_config.js"></script>
		<script language="javascript">

			// --------------- Variables globales de la Page_Alarme.php du programme DomoMaison_2017 ------------------------------------------------
			var ipJ = '';					// ip de l'ordinateur appelant
			var wsArdu = '';				// adresse websocket de l'Arduino
			var etatAlarme = 0;				//	Etat de l'alarme (Activée, Désactivée, En cours)
			var lienPage;
			var envoi = '';					// message envoyé par le serveur
			// --------------------------------------------------------------------------------------------------------------------------------------
			
			// ******************************Début des fonctions WebSocket **************************************************************************
			// Fonction d'initialisation de la page
			function init()
			{
				recupIp();
				testWebSocket();
				initlibelles();
            }

 			// Fonction de récupération de l'ip de l'appelant
			function recupIp()
			{
				<?php $ip=$_SERVER["REMOTE_ADDR"];?>
				ipJ = '<?php echo $ip; ?>' ;
					if ((ipJ == '::1') || (ipJ.substring(0,9) == '192.168.1')) {
						wsArdu = WS_ARDU_LOCAL;				// ordinateur appelant local
					}
					else {
						wsArdu = WS_ARDU_INTERNET;			// ordinateur appelant Internet
					}
			}
			
			// Fonction de test de la connexion websocket
			function testWebSocket()
			{
            	wssocket = new WebSocket(wsArdu);
                wssocket.onopen = function() { onOpen() };
                wssocket.onmessage = function(evt) { onMessage(evt) };
            	wssocket.onerror = function(evt) {onError(evt) };
         		wssocket.onclose = function() { onClose() };
			}

			// Fonction de connexion du websocket
			function onOpen()
			{
				$l("WsConnect").innerHTML = 'Connecté...';
				$l("WsConnect").style.backgroundColor = 'rgb(228,244,244)';
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';07)');		// envoi de la page en cours
				wssocket.send('(' + IDENT_BOARD + ';DPARA;07)');				// demande à la centrale d'envoyer les paramètres
			}
			
			// Fonction de fermeture du websocket
			function onClose()
			{
				$l("WsConnect").innerHTML = 'Déconnecté...';
				$l("WsConnect").style.backgroundColor = 'red';
				//wssocket.close();
				wssocket = null;
			}
			
			// Fonction de traitement des messages reçu de la centrale domotique
			function onMessage(evt)
			{
				var identifiantRecu = 'XXXX'; 											//identifiant dans la trame reçue du serveur.
				var typeRecu = 'XXXXX';													//type d'information reçue du serveur.
				var rangRecu = "";														//rang dans la trame reçue du serveur.
				var valeurRecue = "";
				window.console.log(evt.data);											// POUR DEBUG
				var chaineRecue = evt.data.substring(1, evt.data.length - 1);
				var tableau = chaineRecue.split(';');
				identifiantRecu = tableau[0];
				typeRecu = tableau[1];
				rangRecu = tableau[2];
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'PARAM')) {
						if (rangRecu == '07') {											// configuration de l'alarme
							configAlarme(chaineRecue);
						}
					}
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'DEFFC')) {
						dateEffractionC(chaineRecue);
					}
					
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'DEFFD')) {
						dateEffractionD(chaineRecue);
					}

					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'ETARL')) {
						valeurRecue = tableau[3];										// Etat de l'alarme (active, en cours d'activation, désactivée)
							switch (valeurRecue) {
								case '0':
									$l("Etat_IntA").innerHTML = "Désactivée";
									etatAlarme = 0;
									$l('BoutonC1').innerHTML = "Activation Alarme";
									$l('BoutonC1').style.backgroundColor  = 'red';		// Couleur Rouge
									break;
								case '1':	
									$l("Etat_IntA").innerHTML = "Activée";
									etatAlarme = 1;
									$l('BoutonC1').innerHTML = "Désactivation Alarme";
									$l('BoutonC1').style.backgroundColor  = 'green';	// Couleur Verte
									break;
								case '2':
									$l("Etat_IntA").innerHTML = "En cours";
									etatAlarme = 2;
									$l('BoutonC1').innerHTML = "Désactivation Alarme";
									$l('BoutonC1').style.backgroundColor  = 'green';	// Couleur Verte
									break;
							}
						valeurRecue = tableau[4];										// Etat de la sirène et du gyrophare
							switch (valeurRecue) {
								case '0':
									$l("Etat_Alerte").style.backgroundColor  = 'green';			// Couleur Vert
									$l("Etat_Alerte").innerHTML = "non";
									$l("Td_Alerte").innerHTML = "Sirène activée";
									break;
								case '1':	
									$l("Etat_Alerte").style.backgroundColor  = 'red';			// Couleur Rouge
									$l("Etat_Alerte").innerHTML = "oui";
									$l("Td_Alerte").innerHTML = "Sirène activée";
									break;
								case '2':
									$l("Etat_Alerte").style.backgroundColor  = 'red';			// Couleur Rouge
									$l("Etat_Alerte").innerHTML = "oui";
									$l("Td_Alerte").innerHTML = "Silence activée";
									break;
							}
					}
					
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'MESSA')) {
						valeurRecue = tableau[3];
							if (rangRecu == '01') {										// Message de retour après envoi de l'activation ou désactivation de l'alarme
								if (valeurRecue == "demande") {
									alert("Activation de l'alarme en cours");
									$l("Etat_IntA").innerHTML = "Activée";
								}
								else if (valeurRecue == "désactivée") {
									alert("Désactivation de l'alarme");
									$l("Etat_IntA").innerHTML = "Désactivée";
								}
							}
							else if (rangRecu == '02') {								// Message de retour après envoi configuration des contacteurs d'ouverture
								if (valeurRecue == "contacteurs OK") {
									alert("Envoi des contacteurs : OK");
								}
							}
							else if (rangRecu == '03') {								// Message de retour après envoi configuration des détecteurs IR
								if (valeurRecue == "détecteurs OK") {
									alert("Envoi des détecteurs : OK");
								}
							}
					}
			}
			
			// Fonction de traitement des erreurs de la connexion websocket
			function onError(evt)
			{
				$l("WsConnect").style.backgroundColor = 'red';
            	$l("WsConnect").innerHTML = "ERROR: " + evt.data;
			}
			// ****************************** Fin des fonctions WebSocket ***************************************************************************

			// ************************* Début de la partie gérant l'alarme *************************************************************************
			// Initialisation du tableau des contacts ouverture
			function initlibelles() {
				for (var i=1; i<11; i++)
				{
					$l("Text_ZoneC_" + i).innerHTML = NUM_ZONEC[i];
					$l("Text_Contact_" + i).innerHTML = LIBELLE_CONTACT[i];
					$l("Text_ZoneD_" + i).innerHTML = NUM_ZONED[i];
					$l("Text_Detect_" + i).innerHTML = LIBELLE_DETECT[i];
				}
				$l("Etat_Alerte").innerHTML = "non";
			}
			
			// Fonction d'initialisation des paramètres de l'alarme
			function configAlarme(chaineInfo)
			{
				var temp = "";
				var num=0;
				
				var tableau = chaineInfo.split(';');
				temp = tableau[3];
					switch (temp) {
						case '0':
							$l("Etat_IntA").innerHTML = "Désactivée";			// Alarme désactivée
							etatAlarme = 0;
							$l('BoutonC1').innerHTML = "Activation Alarme";
							$l('BoutonC1').style.backgroundColor  = 'red';		// Couleur Rouge
							break;
						case '1':	
							$l("Etat_IntA").innerHTML = "Activée";				// Alarme activée
							etatAlarme = 1;
							$l('BoutonC1').innerHTML = "Désactivation Alarme";
							$l('BoutonC1').style.backgroundColor  = 'green';	// Couleur Verte
							break;
						case '2':
							$l("Etat_IntA").innerHTML = "En cours";				// Alarme en cours d'activation
							etatAlarme = 2;
							$l('BoutonC1').innerHTML = "Désactivation Alarme";
							$l('BoutonC1').style.backgroundColor  = 'green';	// Couleur Verte
							break;
					}
					for (var i=1; i<11; i++)
					{
						temp = tableau[i + 3];
						num = parseInt(temp);
						$l("SMC_" + i).selectedIndex = temp;
					}
					for (var i=1; i<11; i++)
					{
						temp = tableau[i + 13];
						num = parseInt(temp);
						$l("SMD_" + i).selectedIndex = temp;
					}
					for (var i=1; i<4; i++)
					{
						temp = tableau[i + 23];
						if (temp == "1") {
							$l('Z' + i).checked = true;
						}
						else {
							$l('Z' + i).checked = false;
						}
					}
					temp = tableau[27];													// Etat de la sirène
					switch (temp) {
						case '0':
							$l("Etat_Alerte").style.backgroundColor  = 'green';			// Couleur Vert
							$l("Etat_Alerte").innerHTML = "non";
							$l("Td_Alerte").innerHTML = "Sirène activée";
							break;
						case '1':	
							$l("Etat_Alerte").style.backgroundColor  = 'red';			// Couleur Rouge
							$l("Etat_Alerte").innerHTML = "oui";
							$l("Td_Alerte").innerHTML = "Sirène activée";
							break;
						case '2':
							$l("Etat_Alerte").style.backgroundColor  = 'red';			// Couleur Rouge
							$l("Etat_Alerte").innerHTML = "oui";
							$l("Td_Alerte").innerHTML = "Silence activée";
							break;
					}
					temp = tableau[28];													// Mode Silence actif ou non (1=actif, pas de sirène, pas de gyro selon config, envoi Email)
						if (temp == 1)	{
							$l('S1').checked = true;									// Mode Silence actif
						}
						else {
							$l('S1').checked = false;									// Mode Silence inactif
						}	
			}
			
			// Fonction de réception des dates des derniers déclenchements par contacteurs
			function dateEffractionC(chaineInfo)
			{
				var temp = "";
				var num = 0;
				
				var tableau = chaineInfo.split(';');
				temp = tableau[2];
				num = parseInt(temp) + 1;
				temp = tableau[3];
					if(temp != "xx/xx/xxxx") {
						$l("DateC_" + num).innerHTML = temp;
					}
				temp = tableau[4];
					if(temp.substring(0,5) != "xx:xx") {
						$l("HeureC_" + num).innerHTML = temp;
					}
			}
			
			// Fonction de réception des dates des derniers déclenchements par détecteurs IR
			function dateEffractionD(chaineInfo)
			{
				var temp = "";
				var num = 0;
				
				var tableau = chaineInfo.split(';');
				temp = tableau[2];
				num = parseInt(temp) + 1;
				temp = tableau[3];
					if(temp != "xx/xx/xxxx") {
						$l("DateD_" + num).innerHTML = temp;
					}
				temp = tableau[4];
					if(temp.substring(0,5) != "xx:xx") {
						$l("HeureD_" + num).innerHTML = temp;
					}
			}
			
			// Fonction d'activation ou de désactivation de l'alarme
			function activeEtatA()
			{
				var etatEnvoi;
				window.console.log(etatAlarme);
				
					if (etatAlarme > 0) {						// Alarme activée ou en cours d'activation
						etatEnvoi = 0;							// Demande de désactivation de l'alarme
					}
					else {										//  Alarme désactivée
						if ($l('S1').checked == false) {
							etatEnvoi = 1;						// Demande d'activation en mode normale
						}
						else {
							etatEnvoi = 2;						// Demande d'activation en mode Silence
						}
					}
						
				envoi ="(" + IDENT_BOARD + ";" + "ALARM" + ";01;" + etatEnvoi;		// alarme activé ou non
					for (var i=1; i<4; i++) {
						if ($l('Z' + i).checked == true) {							// zone activé ou non
							envoi = envoi + ";1";
						}
						else {
							envoi = envoi + ";0";
						}
					}
				envoi = envoi + ")";
				window.console.log(envoi);											// POUR DEBUG
				wssocket.send(envoi);
			}
			
			// Fonction d'activation ou de désactivation des contacteurs d'ouverture
			function activeContactA()
			{
				envoi ="(" + IDENT_BOARD + ";" + "ALARM" + ";02";
				for (var i=1; i<11; i++)
				{
					envoi = envoi + ";" + $l("SMC_" + i).selectedIndex;
				}
				envoi = envoi + ")";
				window.console.log(envoi);											// POUR DEBUG
				wssocket.send(envoi);
			}

			// Fonction d'activation ou de désactivation des détecteurs IR
			function activeDetectA()
			{
				envoi ="(" + IDENT_BOARD + ";" + "ALARM" + ";03";
				for (var i=1; i<11; i++)
				{
					envoi = envoi + ";" + $l("SMD_" + i).selectedIndex;
				}
				envoi = envoi + ")";
				window.console.log(envoi);											// POUR DEBUG
				wssocket.send(envoi);
			}
			// ************************* Fin de la partie gérant l'alarme ***************************************************************************

			//Fonction temporisée d'affichage de page après deconnexion de websocket.
			function lienpageweb(page,numP)
			{
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';' + numP +')');		// envoi du numéro de page demandée
				onClose();
				lienPage = page;
				setTimeout("golien()", TIMER_PAGE);
    		}
			
    		// Fonction d'ouverture de la page demandée
    		function golien()
			{
				document.location.href = lienPage;
    		}
			
			// Fonction pour simplifier l'accès aux variables de la page
			function $l(id)
			{
  				return document.getElementById(id); // fonction '$l' recherche l'element html par son 'id'
			}
			
			// Lance l'initialisation de la page
			window.addEventListener('load', init, false);
			
		</script>
	</head>
	<body>
		<div id="Titre_Page">
			<img id="Image_Titre" src="Images/Titre_Protection.png" alt="Titre Protection" />
		</div>
		<div id="Conteneur_GaucheA">
			<p></p>
			<div id="Cont_GestA1">
				<div id="Titre_GestA1">Gestion de l'alarme</div>
				<fieldset id="Champ1">
					<legend> Mode Alarme :</legend>
					<div id="Label_EtatA">Mode de l'alarme : </div>
					<div id="Etat_IntA">Désactivée</div>
					<center><div id="Envoi_ActA"><button id="BoutonC1" onclick="activeEtatA()">Activation Alarme</button></div></center>
                    <label for="S1">Activation mode Silence : </label><input type="checkbox" name="S1" id="S1" />   
				</fieldset>
				<fieldset id="Champ2">
					<legend> Activation Zone :</legend>
                    <label for="Z1">Zone 1 (Intérieur Maison) : </label><input type="checkbox" name="Z1" id="Z1" />   
                    <label for="Z2">Zone 2 (Extérieur Maison) : </label><input type="checkbox" name="Z2" id="Z2" />   
                    <label for="Z3">Zone 3 (Dépendances)      : </label><input type="checkbox" name="Z2" id="Z3" />   
				</fieldset>
				<div id="Div_Alerte">
					<table id="Table_Alerte">
						<tbody><tr>
							<td id="Td_Alerte">Sirène activée :</td>
							<td id="Td_Etat"><div id="Etat_Alerte"></div></td>
						</tr></tbody>
					</table>
				</div>
				<div id="DivCam">
					<center><a target="_blank" onclick='lienpageweb("Page_Camera.php","14")'><img id="BCamera" src="Images/Bouton_Camera.png" alt="Bouton Camera" /></a></center>
				</div>
			</div>
			<p></p>
			<center><a target="_blank" onclick='lienpageweb("Page_Journal_Alarme.php","15")'><img id="BJournal1" src="Images/Bouton_journal_alarme.png" alt="Bouton Journal1" /></a></center>
			<center><a target="_blank" onclick='lienpageweb("index.php","01")'><img id="BAcceuil" src="Images/Bouton_Acceuil.png" alt="Bouton Acceuil" /></a></center>
		</div>
		<div id="Conteneur_CentreA">
			<p></p>
			<div id="Cont_GestA2">
				<div id="Titre_GestA2">Gestion des Contacteurs d'ouverture</div>
				<p></p>
				<table id="Table_Contact">
					<tr>
						<th id="ColC1">Z</th>
						<th id="ColC2">Emplacement</th>
						<th id="ColC3">Mode</th>
						<th id="ColC4">Date</th>
						<th id="ColC5">Heure</th>
					</tr>
                    <tr>
                    	<td><div id="Text_ZoneC_1"></div></td>
                    	<td><div id="Text_Contact_1"></div></td>
                        <td>
							<Select class="SelectModeC" id="SMC_1">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateC_1"></div></td>
                    	<td><div id="HeureC_1"></div></td>
                   </tr>
                    <tr>
                    	<td><div id="Text_ZoneC_2"></div></td>
                    	<td><div id="Text_Contact_2"></div></td>
                        <td>
							<Select class="SelectModeC" id="SMC_2">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateC_2"></div></td>
                    	<td><div id="HeureC_2"></div></td>
                   </tr>
                    <tr>
                    	<td><div id="Text_ZoneC_3"></div></td>
                    	<td><div id="Text_Contact_3"></div></td>
                        <td>
							<Select class="SelectModeC" id="SMC_3">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateC_3"></div></td>
                    	<td><div id="HeureC_3"></div></td>
                   </tr>
                    <tr>
                    	<td><div id="Text_ZoneC_4"></div></td>
                    	<td><div id="Text_Contact_4"></div></td>
                        <td>
							<Select class="SelectModeC" id="SMC_4">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateC_4"></div></td>
                    	<td><div id="HeureC_4"></div></td>
                   </tr>
                    <tr>
                    	<td><div id="Text_ZoneC_5"></div></td>
                    	<td><div id="Text_Contact_5"></div></td>
                        <td>
							<Select class="SelectModeC" id="SMC_5">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateC_5"></div></td>
                    	<td><div id="HeureC_5"></div></td>
                   </tr>
                    <tr>
                    	<td><div id="Text_ZoneC_6"></div></td>
                    	<td><div id="Text_Contact_6"></div></td>
                        <td>
							<Select class="SelectModeC" id="SMC_6">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateC_6"></div></td>
                    	<td><div id="HeureC_6"></div></td>
                   </tr>
                    <tr>
                    	<td><div id="Text_ZoneC_7"></div></td>
                    	<td><div id="Text_Contact_7"></div></td>
                        <td>
							<Select class="SelectModeC" id="SMC_7">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateC_7"></div></td>
                    	<td><div id="HeureC_7"></div></td>
                   </tr>
                    <tr>
                    	<td><div id="Text_ZoneC_8"></div></td>
                    	<td><div id="Text_Contact_8"></div></td>
                        <td>
							<Select class="SelectModeC" id="SMC_8">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateC_8"></div></td>
                    	<td><div id="HeureC_8"></div></td>
                   </tr>
                    <tr>
                    	<td><div id="Text_ZoneC_9"></div></td>
                    	<td><div id="Text_Contact_9"></div></td>
                        <td>
							<Select class="SelectModeC" id="SMC_9">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateC_9"></div></td>
                    	<td><div id="HeureC_9"></div></td>
                   </tr>
                    <tr>
                    	<td><div id="Text_ZoneC_10"></div></td>
                    	<td><div id="Text_Contact_10"></div></td>
                        <td>
							<Select class="SelectModeC" id="SMC_10">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateC_10"></div></td>
                    	<td><div id="HeureC_10"></div></td>
                   </tr>
				</table>
				<p></p>
				<div id="Envoi1"><button id="Bouton1" onclick="activeContactA()">Envoyer le mode des contacteurs</button></div>
			</div>
			<p></p>
			<center><a target="_blank" onclick='lienpageweb("Page_Journal_Alarme.php","16")'><img id="BJournal2" src="Images/Bouton_journal_contacteurs.png" alt="Bouton Journal2" /></a></center>
		</div>
		<div id="Conteneur_DroitA">
			<p></p>
			<div id="Cont_GestA3">
				<div id="Titre_GestA3">Gestion des Détecteurs Infra-rouge</div>
				<p></p>
				<table id="Table_Detect">
					<tr>
						<th id="ColD1">Z</th>
						<th id="ColD2">Emplacement</th>
						<th id="ColD3">Mode</th>
						<th id="ColD4">Date</th>
						<th id="ColD5">Heure</th>
					</tr>
                    <tr>
                    	<td><div id="Text_ZoneD_1"></div></td>
                    	<td><div id="Text_Detect_1"></div></td>
                        <td>
							<Select class="SelectModeD" id="SMD_1">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateD_1"></div></td>
                    	<td><div id="HeureD_1"></div></td>
					</tr>
                    <tr>
                    	<td><div id="Text_ZoneD_2"></div></td>
                    	<td><div id="Text_Detect_2"></div></td>
                        <td>
							<Select class="SelectModeD" id="SMD_2">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateD_2"></div></td>
                    	<td><div id="HeureD_2"></div></td>
					</tr>
                    <tr>
                    	<td><div id="Text_ZoneD_3"></div></td>
                    	<td><div id="Text_Detect_3"></div></td>
                        <td>
							<Select class="SelectModeD" id="SMD_3">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateD_3"></div></td>
                    	<td><div id="HeureD_3"></div></td>
                   </tr>
                    <tr>
                    	<td><div id="Text_ZoneD_4"></div></td>
                    	<td><div id="Text_Detect_4"></div></td>
                        <td>
							<Select class="SelectModeD" id="SMD_4">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateD_4"></div></td>
                    	<td><div id="HeureD_4"></div></td>
                   </tr>
                    <tr>
                    	<td><div id="Text_ZoneD_5"></div></td>
                    	<td><div id="Text_Detect_5"></div></td>
                        <td>
							<Select class="SelectModeD" id="SMD_5">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateD_5"></div></td>
                    	<td><div id="HeureD_5"></div></td>
                   </tr>
                    <tr>
                    	<td><div id="Text_ZoneD_6"></div></td>
                    	<td><div id="Text_Detect_6"></div></td>
                        <td>
							<Select class="SelectModeD" id="SMD_6">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateD_6"></div></td>
                    	<td><div id="HeureD_6"></div></td>
                   </tr>
                    <tr>
                    	<td><div id="Text_ZoneD_7"></div></td>
                    	<td><div id="Text_Detect_7"></div></td>
                        <td>
							<Select class="SelectModeD" id="SMD_7">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateD_7"></div></td>
                    	<td><div id="HeureD_7"></div></td>
                   </tr>
                    <tr>
                    	<td><div id="Text_ZoneD_8"></div></td>
                    	<td><div id="Text_Detect_8"></div></td>
                        <td>
							<Select class="SelectModeD" id="SMD_8">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateD_8"></div></td>
                    	<td><div id="HeureD_8"></div></td>
                   </tr>
                    <tr>
                    	<td><div id="Text_ZoneD_9"></div></td>
                    	<td><div id="Text_Detect_9"></div></td>
                        <td>
							<Select class="SelectModeC" id="SMD_9">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateD_9"></div></td>
                    	<td><div id="HeureD_9"></div></td>
                   </tr>
                    <tr>
                    	<td><div id="Text_ZoneD_10"></div></td>
                    	<td><div id="Text_Detect_10"></div></td>
                        <td>
							<Select class="SelectModeD" id="SMD_10">
								<Option value="0"> Inactif </Option>
								<Option value="1"> Actif </Option>
								<Option value="2"> Silence </Option>
							</select>
						</td>
                    	<td><div id="DateD_10"></div></td>
                    	<td><div id="HeureD_10"></div></td>
                   </tr>
				</table>
				<p></p>
				<div id="Envoi2"><button id="Bouton2" onclick="activeDetectA()">Envoyer le mode des détecteurs</button></div>
			</div>
			<p></p>
			<center><a target="_blank" onclick='lienpageweb("Page_Journal_Alarme.php","17")'><img id="BJournal3" src="Images/Bouton_journal_détecteurs.png" alt="Bouton Journal3" /></a></center>
		</div>
		<div id="Div_Status">
			<p></p>
			<!-- Tableau d'affichage du status de la connexion au serveur websocket -->
        	<center><table id="Status">
        		<tbody><tr>
            		<td class="Td_Status">Status Connexion :</td>
                	<td class="Td_Status"><div id="WsConnect">connecté...</div></td>
            	</tr></tbody>
       		</table></center>
        </div>
	</body>
</html>