<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta http-equiv="content-language" content="fr" />
		<link rel="stylesheet" type="text/css" href="css/Style_Camera.css" />
		<script src="external/jquery/jquery.js"></script>
		<script language="javascript" type="text/javascript" src="script/DomoMaison_config.js"></script>
		<script language="javascript" type="text/javascript" src="script/oXHR.js"></script>
		<script language="javascript">
			// --------------- Variables globales de la Page_Camera.php du programme DomoMaison_2017 ------------------------------------------------
			var ipJ = '';												// ip de l'ordinateur appelant
			var wsArdu = '';											// adresse websocket de l'Arduino
			var urlCam1 = '';											// ip caméra 1 (Axis vers jardin)
			var urlCam2 = '';											// ip caméra 2 (Wanscam Arrière maison)
			var urlCam3 = '';											// ip caméra 3 (Wanscam Devant maison)
			var urlCam4 = '';											// ip caméra 4 (Szsinocam)
			var urlCam5 = '';											// ip caméra 5 (Dahua vers portail)
			var etatIntrusion = 0;										// Indicateur pour la détection Intrusion
			var etatEnreg = 0;											// Indicateur pour l'enregistrement programmé
			var etatPir = 0;											// Indicateur pour l'enregistrement sur détecteur PIR
			// --------------------------------------------------------------------------------------------------------------------------------------
			
			// ************************* Affichage Caméras ******************************************************************************************
			// DisplayWidth & DisplayHeight spécifient la largeur et la hauteur de l'image affichée.
			var displayWidth = "100%";
			var displayHeight = "95%";

			// This is the path to the image generating file inside the camera itself
			var file2 = "axis-cgi/jpg/image.cgi?resolution=320x240&rotation=180";			// pour caméra Axis
			var file1 = "snapshot.cgi?user=admin&pwd=prinus";								// pour caméra wanscam
			//var file3 = "cgi-bin/snapshot.cgi?user=admin&pwd=prinus";						// pour caméra dahua
			var file3 = "cgi-bin/snapshot.cgi";												// pour caméra dahua
			var file4 = "cgi-bin/anv/images_cgi?channel=0";									// pour caméra szsinocam

			// Force l'enregistrement immédiat de l'image
			var theTimer = setTimeout('reloadImage()', 1);
			
			function reloadImage()
			{
				theDate = new Date();
				var url1 = urlCam3;
				url1 += file1;
				url1 += '&dummy=' + theDate.getTime().toString(10);
				var url2 = urlCam2;
				url2 += file1;
				url2 += '&dummy=' + theDate.getTime().toString(10);
				var url3 = urlCam1;
				url3 += file2;
				url3 += '&dummy=' + theDate.getTime().toString(10);
				var url4 = urlCam4;
				url4 += file4;
				url4 += + theDate.getTime().toString(10);
				var url5 = urlCam5;
				url5 += file3;
				url5 += '&dummy=' + theDate.getTime().toString(10);
				//window.console.log(url4);
				// The dummy above enforces a bypass of the browser image cache
				// Here we load the image
				document.Cam1.src = url1;
				document.Cam2.src = url2;
				document.Cam3.src = url3;
				document.Cam4.src = url4;
				document.Cam5.src = url5;

				// Reload the image every ten seconds (2000 ms)
				theTimer = setTimeout('reloadImage()', 2000);
			}
			// ***************************** fin affichage caméra ***********************************************************************************
			
			// ******************************Début des fonctions WebSocket **************************************************************************
			// Fonction d'initialisation de la page
			function init()
			{
				recupIp();
				testWebSocket();
            }

 			// Fonction de récupération de l'ip de l'appelant
			function recupIp()
			{
				<?php $ip=$_SERVER["REMOTE_ADDR"];?>
				ipJ = '<?php echo $ip; ?>' ;
					if ((ipJ == '::1') || (ipJ.substring(0,9) == '192.168.1')) {
						wsArdu = WS_ARDU_LOCAL;				// ordinateur appelant local
						urlCam1 = URL_CAM1_LOCAL;			
						urlCam2 = URL_CAM2_LOCAL;			
						urlCam3 = URL_CAM3_LOCAL;			
						urlCam4 = URL_CAM4_LOCAL;			
						urlCam5 = URL_CAM5_LOCAL;			
					}
					else {
						wsArdu = WS_ARDU_INTERNET;				// ordinateur appelant Internet
						urlCam1 = URL_CAM1_INTERNET;			
						urlCam2 = URL_CAM2_INTERNET;			
						urlCam3 = URL_CAM3_INTERNET;			
						urlCam4 = URL_CAM4_INTERNET;			
						urlCam5 = URL_CAM5_INTERNET;			
					}
			}
			
			// Fonction de test de la connexion websocket
			function testWebSocket()
			{
            	wssocket = new WebSocket(wsArdu);
                wssocket.onopen = function() { onOpen() };
                wssocket.onmessage = function(evt) { onMessage(evt) };
            	wssocket.onerror = function(evt) {onError(evt) };
         		wssocket.onclose = function() { onClose() };
			}

			// Fonction de connexion du websocket
			function onOpen() {
				$l("WsConnect").innerHTML = 'Connecté...';
				$l("WsConnect").style.backgroundColor = 'rgb(228,244,244)';
                wssocket.send("Connexion etablie");
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';14)');		// envoi de la page en cours
				wssocket.send('(' + IDENT_BOARD + ';DPARA;14)');				// demande à la centrale d'envoyer les paramètres
			}
			
			// Fonction de fermeture du websocket
			function onClose()
			{
				$l("WsConnect").innerHTML = 'Déconnecté...';
				$l("WsConnect").style.backgroundColor = 'red';
				wssocket.close();
				wssocket = null;
			}
			
			// Fonction de traitement des messages reçu de la centrale domotique
			function onMessage(evt)
			{
				var identifiantRecu = 'XXXX'; 											//identifiant dans la trame reçue du serveur.
				var typeRecu = 'XXXXX';													//type d'information reçue du serveur.
				var rangRecu = "";														//rang dans la trame reçue du serveur.
				var valeurRecue = "";
				window.console.log(evt.data);											// POUR DEBUG
				var chaineRecue = evt.data.substring(1, evt.data.length - 1);
				var tableau = chaineRecue.split(';');
				identifiantRecu = tableau[0];
				typeRecu = tableau[1];
				rangRecu = tableau[2];
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'PARAM')) {
						if (rangRecu == '14') {											// configuration des caméra
							configCamera(chaineRecue);
						}
					}
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'MESSA')) {
						valeurRecue = tableau[3];
							if (rangRecu == '01') {										// Message de retour après envoi de l'activation ou désactivation de l'alarme
								if (valeurRecue == "Config OK") {
									alert("Configuration des caméras OK");
								}
							}
					}
			}
			
			// Fonction de traitement des erreurs de la connexion websocket
			function onError(evt)
			{
				$l("WsConnect").style.backgroundColor = 'red';
            	$l("WsConnect").innerHTML = "ERROR: " + evt.data;
			}
			// ****************************** Fin des fonctions WebSocket ***************************************************************************

			// ************************* Début de la partie gérant les caméras ***********************************************************************

			// Fonction de configuration de l'état des caméras (Intrusion, Enregistrement programmé, Enregistrement sur PIR
			function configCamera(chaineInfo)
			{
				var temp = "";
				
				var tableau = chaineInfo.split(';');
				temp = tableau[3];
				
					if (temp == '1') {
						window.console.log("modif bouton");
						etatIntrusion = 1;
						$l('Etat_Int').innerHTML = "Activé";
						$l('BoutonC1').innerHTML = "Désactivation Détection";
						$l('BoutonC1').style.backgroundColor = 'green';
					}
					else {
						etatIntrusion = 0;
						$l('Etat_Int').innerHTML = "Désactivé";
						$l('BoutonC1').innerHTML = "Activation Détection";
						$l('BoutonC1').style.backgroundColor = 'red';
					}	
				temp = tableau[4];
					if (temp == '1') {
						etatEnreg = 1;
						$l('Etat_Enr').innerHTML = "Activé";
						$l('BoutonC2').innerHTML = "Désactivation Enregist.";
						$l('BoutonC2').style.backgroundColor = 'green';
					}
					else {
						etatEnreg = 0;
						$l('Etat_Enr').innerHTML = "Désactivé";
						$l('BoutonC2').innerHTML = "Activation Enregist.";
						$l('BoutonC2').style.backgroundColor = 'red';
					}	
				temp = tableau[5];
					if (temp == '1') {
						etatPir = 1;
						$l('Etat_Pir').innerHTML = "Activé";
						$l('BoutonC3').innerHTML = "Désactivation Enregist.";
						$l('BoutonC3').style.backgroundColor = 'green';
					}
					else {
						etatPir = 0;
						$l('Etat_Pir').innerHTML = "Désactivé";
						$l('BoutonC3').innerHTML = "Activation Enregist";
						$l('BoutonC3').style.backgroundColor = 'red';
					}	
			}
			
			// Fonction gérant l'état de la détection Intrusion des caméras
			function activeEtatD()
			{
				var xhr = getXMLHttpRequest(); 

				if (etatIntrusion == 1) {
					etatIntrusion = 0;
					xhr.open("GET", "http://192.168.1.101:1031/set_alarm.cgi?user=admin&pwd=prinus&motion_armed=0", true);			// camera wanscam
					xhr.send(null);
					xhr.open("GET", "http://192.168.1.102:1032/set_alarm.cgi?user=admin&pwd=prinus&motion_armed=0", true);			// camera wanscam
					xhr.send(null);
				}
				else {
					etatIntrusion = 1;
					xhr.open("GET", "http://192.168.1.101:1031/set_alarm.cgi?user=admin&pwd=prinus&motion_armed=1", true);			// camera wanscam
					xhr.send(null);
					xhr.open("GET", "http://192.168.1.102:1032/set_alarm.cgi?user=admin&pwd=prinus&motion_armed=1", true);			// camera wanscam
					xhr.send(null);
				}
				envoiEtat();
			}
			
			// Fonction gérant l'état de l'enregistrement programmé des caméras
			function activeEtatE()
			{
				var xhr = getXMLHttpRequest(); 

				if (etatEnreg == 1) {
					etatEnreg = 0;
					xhr.open("GET", "http://192.168.1.101:1031/set_ftp.cgi?upload_interval=0?user=admin&pwd=prinus", true);		// caméra Wanscam
					xhr.send(null);
					xhr.open("GET", "http://192.168.1.102:1032/set_ftp.cgi?upload_interval=0?user=admin&pwd=prinus", true);		// caméra Wanscam
					xhr.send(null);
				}
				else {
					etatEnreg = 1;
					xhr.open("GET", "http://192.168.1.101:1031/set_ftp.cgi?upload_interval=15?user=admin&pwd=prinus", true);	// caméra Wanscam
					xhr.send(null);
					xhr.open("GET", "http://192.168.1.102:1032/set_ftp.cgi?upload_interval=15?user=admin&pwd=prinus", true);	// caméra Wanscam
					xhr.send(null);
				}
				envoiEtat();
			}

			// Fonction gérant l'état de l'enregistrement sur capteur PIR des caméras
			function activeEtatP()
			{
				if (etatPir == 1) {
					etatPir = 0;
				}
				else {
					etatPir = 1;
				}
				envoiEtat();
			}
			
			// Fonction d'envoi de tous les états des caméras
			function envoiEtat()
			{
				envoi ="(" + IDENT_BOARD + ";" + "ETCAM" + ";01;";
				envoi = envoi + etatIntrusion + ";";
				envoi = envoi + etatEnreg + ";";
				envoi = envoi + etatPir;
				envoi = envoi + ")";
				window.console.log(envoi);											// POUR DEBUG
				wssocket.send(envoi);
			}
			
			// ************************* Fin de la partie gérant les caméras ************************************************************************

			//Fonction temporisée d'affichage de page après deconnexion de websocket.
			function lienpageweb(page,numP)
			{
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';' + numP + ')');		// envoi du numéro de page demandée
				onClose();
				lienPage = page;
				setTimeout("golien()", TIMER_PAGE);
    		}
			
    		// Fonction d'ouverture de la page demandée
    		function golien()
			{
				document.location.href = lienPage;
    		}
			
			// Fonction pour simplifier l'accès aux variables de la page
			function $l(id)
			{
  				return document.getElementById(id); 	// fonction '$l' recherche l'element html par son 'id'
			}
			
			// Lance l'initialisation de la page
			window.addEventListener('load', init, false);
			
		</script>
	</head>
	<body>
		<div id="Titre_Page">
			<img id="Image_Titre" src="Images/Titre_Cameras.png" alt="Titre Electricité" />
		</div>
		<p></p>
		<div id="Conteneur_GaucheP">
			<div id="Cont_GestC">
				<div id="Titre_GestC">Gestion des caméras</div>
				<p></p>
				<fieldset>
					<legend> Détection intrusion :</legend>
					<div id="Label_EtatD">Etat de la détection : </div>
					<div id="Etat_Int">Non activé</div>
					<center><div id="Envoi_Int"><button id="BoutonC1" onclick="activeEtatD()">Activation Détection</button></div></center>
				</fieldset>
				<p></p>
				<fieldset>
					<legend> Enregistrement programmé :</legend>
					<div id="Label_EtatE">Etat de l'enreg. : </div>
					<div id="Etat_Enr">Non activé</div>
					<center><div id="Envoi_Enr"><button id="BoutonC2" onclick="activeEtatE()">Activation Enregist.</button></div></center>
				</fieldset>
				<p></p>
				<fieldset>
					<legend> Enregistrement sur PIR :</legend>
					<div id="Label_EtatP">Etat de l'enreg. : </div>
					<div id="Etat_Pir">Non activé</div>
					<center><div id="Envoi_Pir"><button id="BoutonC3" onclick="activeEtatP()">Activation Enregist.</button></div></center>
				</fieldset>
				<p></p>
				<fieldset>
					<legend> Orientation caméra 6 :</legend>
					<p></p>
					<center><div id="Cont_FleH"><img id="Fle_Up" src="Images/arrow-up.gif"></div></center>
					<center><div id="Cont_FleM">
						<img id="Fle_Left" src="Images/arrow-left.gif">
						<img id="Fle_Right" src="Images/arrow-right.gif">
					</div></center>
					<center><div id="Cont_FleB"><img id="Fle_Down" src="Images/arrow-down.gif"></div></center>
				</fieldset>
			</div>
			<p></p>
			<div id="Cont_Acceuil">
				<center><a target="_blank" onclick='lienpageweb("index.php","01")'><img id="BAcceuil" src="Images/Bouton_Acceuil.png" alt="Bouton Acceuil" /></a></center>
			</div>
		</div>
		<div id="Conteneur_DroitP">
			<div class="Cont_Cam">
				<div class="Titre_Cam">Caméra 1 : Vue volets devant maison</div>
				<script language="javascript">
					document.write('<img name="Cam1" src="" height="' + displayHeight + '" + width="' + displayWidth + '" alt="Camera 1">');
				</script>
			</div>
			<div class="Cont_Cam">
				<div class="Titre_Cam">Caméra 2 : Vue volets arrière maison</div>
				<script language="javascript">
					document.write('<img name="Cam2" src="" height="' + displayHeight + '" + width="' + displayWidth + '" alt="Camera 2">');
				</script>
			</div>
			<div class="Cont_Cam">
				<div class="Titre_Cam">Caméra 3 : Vue jardin et tonnelle</div>
				<script language="javascript">
					document.write('<img name="Cam3" src="" height="' + displayHeight + '" + width="' + displayWidth + '" alt="Camera 3">');
				</script>
			</div>
			<div class="Cont_Cam">
				<div class="Titre_Cam">Caméra 4 : Vue portes de garage</div>
			<script language="javascript">
				document.write('<img name="Cam4" src="" height="' + displayHeight + '" + width="' + displayWidth + '" alt="Camera 4 non utilisée">');
			</script>
			</div>
			<div class="Cont_Cam">
				<div class="Titre_Cam">Caméra 5 : Vue portail devant maison</div>
			<script language="javascript">
				document.write('<img name="Cam5" src="" height="' + displayHeight + '" + width="' + displayWidth + '" alt="Camera 5 non utilisée">');
			</script>
			</div>
			<div class="Cont_Cam">
				<div class="Titre_Cam">Caméra 6 : Vue intérieur maison (mobile)</div>
			<script language="javascript">
				document.write('<img name="Cam6" src="" height="' + displayHeight + '" + width="' + displayWidth + '" alt="Camera 6 non utilisée">');
			</script>
			</div>
		</div>
		<p></p>
        <div>
        	<p></p>
			<!-- Tableau d'affichage du status de la connexion au serveur websocket -->
        	<table id="Status">
        		<tbody><tr>
            		<td class="Td_Status">Status Connexion :</td>
                	<td class="Td_Status"><div id="WsConnect">connecté...</div></td>
            	</tr></tbody>
       		</table>
        </div>
	</body>
</html>