<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta http-equiv="content-language" content="fr" />
		<link rel="stylesheet" type="text/css" href="css/Style_Chauffage.css" />
		<script language="javascript" type="text/javascript" src="script/DomoMaison_config.js"></script>
		<script language="javascript">

			// --------------- Variables globales de la Page_Chauffage.php du programme DomoMaison_2017 ---------------------------------------------
			var ipJ = '';																					// ip de l'ordinateur appelant
			var wsArdu = '';																				// adresse websocket de l'Arduino
			var etage = "RDC";																				// Etage en cours d'affichage
			var numT = [0,0,0,0,0,0,0,0,0,0,0,0,0];															// numéro de la sonde de chaque pièce
			var idT = [0,0,0,0,0,0,0,0,0,0,0,0,0];															// ID de la sonde de chaque pièce
			var tempT = ['','---','---','---','---','---','---','---','---','---','---','---','---'];		// température de chaque pièce
			var humiT = ['','---','---','---','---','---','---','---','---','---','---','---','---'];		// humidité de chaque pièce
			// --------------------------------------------------------------------------------------------------------------------------------------
			
			// ******************************Début des fonctions WebSocket **************************************************************************
			// Fonction d'initialisation de la page
			function init()
			{
				recupIp();
				testWebSocket();
				initTemp();
			}
			
 			// Fonction de récupération de l'ip de l'appelant
			function recupIp()
			{
				<?php $ip=$_SERVER["REMOTE_ADDR"];?>
				ipJ = '<?php echo $ip; ?>' ;
					if ((ipJ == '::1') || (ipJ.substring(0,9) == '192.168.1')) {
						wsArdu = WS_ARDU_LOCAL;				// ordinateur appelant local
					}
					else {
						wsArdu = WS_ARDU_INTERNET;			// ordinateur appelant Internet
					}
			}
			
			// Fonction de test de la connexion websocket
			function testWebSocket()
			{
            	wssocket = new WebSocket(wsArdu);
                wssocket.onopen = function() { onOpen() };
                wssocket.onmessage = function(evt) { onMessage(evt) };
            	wssocket.onerror = function(evt) {onError(evt) };
         		wssocket.onclose = function() { onClose() };
			}

			// Fonction de connexion du websocket
			function onOpen()
			{
                $l("WsConnect").innerHTML = "Connecté...";
				$l("WsConnect").style.backgroundColor = 'rgb(228,244,244)';
                wssocket.send("Connexion etablie");
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';05)');		// envoi de la page en cours
				wssocket.send('(' + IDENT_BOARD + ';DPARA;05)');				// demande à la centrale d'envoyer les paramètres
			}
			
			// Fonction de fermeture du websocket
			function onClose()
			{
                $l("WsConnect").innerHTML = "Déconnecté...";
				$l("WsConnect").style.backgroundColor = 'red';
				wssocket.close();
				wssocket = null;
			}

			// Fonction de traitement des messages reçu de la centrale domotique
			function onMessage(evt)
			{
				var identifiantRecu = 'XXXX'; 						//identifiant dans la trame reçue du serveur.
				var typeRecu = 'XXXXX';								//type d'information reçue du serveur.
				var valeurRecue = 'XX'								// valeur reçue du serveur
				var mode;											// Mode de fonctionnement des radiateurs
				var affiche = "";
				var posi = 0;
            	window.console.log(evt.data);						// POUR DEBUG
				var chaineRecue = evt.data.substring(1, evt.data.length-1);
				var tableau = chaineRecue.split(';');
				identifiantRecu = tableau[0];
				typeRecu = tableau[1];
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'PARAM')) {
						valeurRecue = tableau[2];
							if (valeurRecue == '02') {				// Réception de l'appairage des sondes de température
								var num = parseInt(tableau[3]);		// numéro de la pièce
								numT[num] = tableau[4];				// numéro de la sonde appairée à la pièce
								idT[num] = tableau[5];				// ID de la sonde de la pièce
							}
					}
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'SONTE')) {		// Réception des mesures d'une sonde de température
						var numS = tableau[2];												// numéro de la sonde reçue
						var idS = tableau[3];												// ID de la sonde reçue
							for (var i=1; i<13; i++)
							{
								if ((numS == numT[i]) && (idS == idT[i])) {					// sonde appairée
									tempT[i] = tableau[4];									// Température de la pièce
									humiT[i] = tableau[5];									// humidité de la pièce
										if (i == 1) {
											$l("T0").innerHTML = (tempT[1]/10).toFixed(1);
												if (humiT[1] == 0) {
													$l("H0").innerHTML = '---';
												}
												else {
													$l("H0").innerHTML = humiT[1];
												}
											break;
										}
										if ((i >= 1) && (i <=7)) {
											if (etage == "RDC") {
												$l("T" + (i-1)).innerHTML = (tempT[i]/10).toFixed(1);
													if (humiT[i] == 0) {
														$l("H" + (i-1)).innerHTML = '---';
													}
													else {
														$l("H" + (i-1)).innerHTML = humiT[i];
														trouve = true;
												}
											}
										}
										if ((i > 7)) {
											if (etage == "ETA") {
												$l("T" + (i - 7)).innerHTML = (tempT[i]/10).toFixed(1);
													if (humiT[i] == 0) {
														$l("H" + (i-7)).innerHTML = '---';
													}
													else {
														$l("H" + (i-7)).innerHTML = humiT[i];
														trouve = true;
												}
											}
										}
								}
							}
					}

					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'RADIA')) {				// Réception de données pour les radiateurs
						valeurRecue = tableau[2];
							if (valeurRecue == '01') {												// Réception du mode de fonctionnement des radiateurs
							// Récepion d'un message sous la forme (ME01;RADIA;01;01320400), mais chaineRecue = ME01;RADIA;01;01320400
								for (var i=1; i<9; i++) {
									mode = chaineRecue.substring(13 + i,14 + i);					// mode de fonctionnement des radiateurs
										switch (mode) {
											case '0':
												affiche = "";
												break;
											case '1':
												affiche = "Confort";
												break;
											case '2':
												affiche = "Economique";
												break;
											case '3':
												affiche = "Hors Gel";
												break;
											case '4':
												affiche = "Arrêt";
												break;
										}
									if ((i < 8) && (etage == "RDC")) {
										$l("M" + i).innerHTML = affiche;
									}
									if ((i > 7) && (etage == "ETA")) {
										posi = i - 7;
										$l("M" + posi).innerHTML = affiche;
									}
								}
							}
					}
			}

			// Fonction de traitement des erreurs de la connexion websocket
			function onError(evt)
			{
				$l("WsConnect").style.backgroundColor = 'red';
            	$l("WsConnect").innerHTML = "ERROR: " + evt.data;
			}
			// ****************************** Fin des fonctions WebSocket ***************************************************************************

			// ************************* Début de la partie gérant le chauffage *********************************************************************
			// Fonction d'affichage selon étage
			function onClickButton(ordre)
			{
				if (ordre == "RDC") {
					$l('Maison').src = "Images/Maison_Temp_rdc.png";
					for (var i=1; i<8; i++)
					{
						$l("Piece_" + i).innerHTML = LIBELLE_PIECE[i + 1];
						$l("T"  +i).innerHTML = "";
						$l("H" + i).innerHTML = "";
						$l("PieceR_" + i).innerHTML = LIBELLE_PIECE[i + 1];
						$l("Z" + i).innerHTML = LIBELLE_ZONE[i];
						$l("M" + i).innerHTML = "";
					}
					etage = "RDC";
				}
				else if (ordre == "ETA") {
					$l('Maison').src = "Images/Maison_Temp_etage.png";
					for (var i=1; i<8; i++)
					{
						$l("Piece_" + i).innerHTML = LIBELLE_PIECE[i + 8];
						$l("T" + i).innerHTML = "";
						$l("H" + i).innerHTML = "";
						$l("PieceR_" + i).innerHTML = LIBELLE_PIECE[i + 8];
						$l("Z" + i).innerHTML = LIBELLE_ZONE[i + 7];
						$l("M" + i).innerHTML = "";
					}
					etage = "ETA";
				}
			}

			// Fonction d'initialisation du tableau des températures
			function initTemp()
			{
				$l("Ext_1").innerHTML = LIBELLE_PIECE[1]
				for (var i=1; i<8; i++)
				{
					$l("Piece_" + i).innerHTML = LIBELLE_PIECE[i + 1];
					$l("PieceR_" + i).innerHTML = LIBELLE_PIECE[i + 1];
					$l("Z" + i).innerHTML = LIBELLE_ZONE[i];
				}
			}
			// ************************* Fin de la partie gérant le chauffage ***********************************************************************

			//Fonction temporisée d'affichage de page après deconnexion de websocket.
			function lienpageweb(page,numP)
			{
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';' + numP + ')');		// envoi du numéro de page demandée
				onClose();
				lienPage = page;
				setTimeout("golien()", TIMER_PAGE);
    		}
			
    		// Fonction d'ouverture de la page demandée
    		function golien()
			{
				document.location.href = lienPage;
    		}
			
			// Fonction pour simplifier l'accès aux variables de la page
			function $l(id)
			{
  				return document.getElementById(id); 		// fonction '$' recherche l'element html par son 'id'
			}
			
			// Lance l'initialisation de la page
			window.addEventListener('load', init, false);

		</script>
	</head>
	<body>
		<div id="Titre_Page">
			<img id="Image_Titre" src="Images/Titre_Chauffage.png" alt="Titre Chauffage" />
		</div>
		<p></p>
		<div id="Conteneur_GaucheC">
        	<div id="Titre_Temp">TEMPERATURES</div>
			<div id="Div_Ext">
				<table id="Table_Ext">
                	<tr>
                    	<th></th>
                        <th>T° (en °C)</th>
						<th>Hum. (en %)</th>
                    </tr>
					<tr>
                    	<td class="Td_TempL"><div id="Ext_1"></div></td>
                        <td class="Td_Tv"><div id="T0"></div></td>
                        <td class="Td_Hv"><div id="H0"></div></td>
					</tr>
				</table>
			</div>
			<div id="Div_Temp">
                <table id="Table_Temp">
                	<tr>
                    	<th>Pièces</th>
                        <th>T° (en °C)</th>
						<th>Hum. (en %)</th>
                    </tr>
                	<tr>
                    	<td class="Td_TempL"><div id="Piece_1"></div></td>
                        <td class="Td_Tv"><div id="T1"></div></td>
                        <td class="Td_Hv"><div id="H1"></div></td>
                    </tr>
                	<tr>
                    	<td class="Td_TempL"><div id="Piece_2"></div></td>
                        <td class="Td_Tv"><div id="T2"></div></td>
                        <td class="Td_Hv"><div id="H2"></div></td>
                    </tr>
                	<tr>
                    	<td class="Td_TempL"><div id="Piece_3"></div></td>
                        <td class="Td_Tv"><div id="T3"></div></td>
                        <td class="Td_Hv"><div id="H3"></div></td>
                    </tr>
                	<tr>
                    	<td class="Td_TempL"><div id="Piece_4"></div></td>
                        <td class="Td_Tv"><div id="T4"></div></td>
                        <td class="Td_Hv"><div id="H4"></div></td>
                    </tr>
                	<tr>
                    	<td class="Td_TempL"><div id="Piece_5"></div></td>
                        <td class="Td_Tv"><div id="T5"></div></td>
                        <td class="Td_Hv"><div id="H5"></div></td>
                    </tr>
                	<tr>
                    	<td class="Td_TempL"><div id="Piece_6"></div></td>
                        <td class="Td_Tv"><div id="T6"></div></td>
                         <td class="Td_Hv"><div id="H6"></div></td>
                   	</tr>
                	<tr>
                    	<td class="Td_TempL"><div id="Piece_7"></div></td>
                        <td class="Td_Tv"><div id="T7"></div></td>
                         <td class="Td_Hv"><div id="H7"></div></td>
                   	</tr>
                </table>
			</div>
 			<img class="Ordre" id="Rdc" src="Images/Bouton_rdc.png" alt="bouton rdc" onclick="onClickButton('RDC')">
 			<img class="Ordre" id="Etage" src="Images/Bouton_etage.png" alt="bouton etage" onclick="onClickButton('ETA')">
            <p></p>
            <p></p>
			<a target="_blank" onclick='lienpageweb("index.php","01")'><img id="BAcceuil" src="Images/Bouton_Acceuil.png" alt="Bouton Acceuil" /></a>
		</div>
        <div id="Conteneur_Maison">
			<img id="Maison" src="Images/Maison_Temp_rdc.png" alt="Maison rdc">
        	<table id="Table_Status">
        		<tbody><tr>
            		<td class="Td_Status">Status Connexion :</td>
                	<td class="Td_Status"><div id="WsConnect">connecté...</div></td>
            	</tr></tbody>
       		</table>
        </div>
        <div id="Conteneur_DroitC">
			<div id="Titre_Radia">RADIATEURS</div>
            <div id="Div_Radia">
                <table id="Table_Radia">
                	<tr>
                    	<th>Pièces</th>
						<th>Zone</th>
                        <th>Mode fonct.</th>
                    </tr>
                	<tr>
                    	<td class="Td_Piece"><div id="PieceR_1"></div></td>
						<td class="Td_Zone"><div id="Z1"></div></td>
                        <td class="Td_Mode"><div id="M1"></div></td>
                    </tr>
                	<tr>
                    	<td class="Td_Piece"><div id="PieceR_2"></div></td>
						<td class="Td_Zone"><div id="Z2"></div></td>
                        <td class="Td_Mode"><div id="M2"></div></td>
                    </tr>
                	<tr>
                    	<td class="Td_Piece"><div id="PieceR_3"></div></td>
						<td class="Td_Zone"><div id="Z3"></div></td>
                        <td class="Td_Mode"><div id="M3"></div></td>
                    </tr>
                	<tr>
                    	<td class="Td_Piece"><div id="PieceR_4"></div></td>
						<td class="Td_Zone"><div id="Z4"></div></td>
                        <td class="Td_Mode"><div id="M4"></div></td>
                    </tr>
                	<tr>
                    	<td class="Td_Piece"><div id="PieceR_5"></div></td>
						<td class="Td_Zone"><div id="Z5"></div></td>
                        <td class="Td_Mode"><div id="M5"></div></td>
                    </tr>
                	<tr>
                    	<td class="Td_Piece"><div id="PieceR_6"></div></td>
						<td class="Td_Zone"><div id="Z6"></div></td>
                        <td class="Td_Mode"><div id="M6"></div></td>
                   	</tr>
                	<tr>
                    	<td class="Td_Piece"><div id="PieceR_7"></div></td>
						<td class="Td_Zone"><div id="Z7"></div></td>
                        <td class="Td_Mode"><div id="M7"></div></td>
                   	</tr>
                </table>
            </div>
			<div id="Div_Bmodif">
				<a target="_blank" onclick='lienpageweb("Page_GestChauff.php","18")'><img id="Bmodif" src="Images/Bouton_Modifier.png" alt="Bouton Modifier" /></a>
			<div>
		</div>
	</body>
</html>