<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta http-equiv="content-language" content="fr" />
		<link rel="stylesheet" type="text/css" href="css/Style_Commande.css" />
		<script language="javascript" type="text/javascript" src="script/DomoMaison_config.js"></script>
		<script language="javascript">

            // --------------- Variables globales de la Page_Commande.php du programme DomoMaison_2017 ------------------------------------------------
			var ipJ='';												// ip de l'ordinateur appelant
			var wsArdu='';											// adresse websocket de l'Arduino
			var lienPage;
			var newsrc =['Bouton_Off.png','Bouton_Off.png','Bouton_Off.png','Bouton_Off.png'];
			// --------------------------------------------------------------------------------------------------------------------------------------
			
			// ******************************Début des fonctions WebSocket **************************************************************************
			// Fonction d'initialisation de la page
			function init()
			{
				recupIp();
				testWebSocket();
				initLibelles();
            }
			
 			// Fonction de récupération de l'ip de l'appelant
			function recupIp() {
				<?php $ip=$_SERVER["REMOTE_ADDR"];?>
				ipJ = '<?php echo $ip; ?>' ;
					if ((ipJ == '::1') || (ipJ.substring(0,9) == '192.168.1')) {
						wsArdu = WS_ARDU_LOCAL;				// ordinateur appelant local
					}
					else {
						wsArdu = WS_ARDU_INTERNET;			// ordinateur appelant Internet
					}
			}
			
			// Fonction de test de la connexion websocket
			function testWebSocket()
			{
            	wssocket = new WebSocket(wsArdu);
                wssocket.onopen = function() { onOpen() };
                wssocket.onmessage = function(evt) { onMessage(evt) };
            	wssocket.onerror = function(evt) {onError(evt) };
         		wssocket.onclose = function() { onClose() };
			}

			// Fonction de connexion du websocket
			function onOpen()
			{
				$l("WsConnect").innerHTML = 'Connecté...';
				$l("WsConnect").style.backgroundColor = 'rgb(228,244,244)';
                wssocket.send("Connexion etablie");
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';06)');				// envoi de la page en cours
			}
			
			// Fonction de fermeture du websocket
			function onClose()
			{
				$l("WsConnect").innerHTML = 'Déconnecté...';
				$l("WsConnect").style.backgroundColor = 'red';
				wssocket.close();
				wssocket = null;
			}

			// Fonction de traitement des messages reçu de la centrale domotique
			function onMessage(evt)
			{
            	window.console.log(evt.data);					// POUR DEBUG
 			}

			// Fonction de traitement des erreurs de la connexion websocket
			function onError(evt)
			{
				$l("WsConnect").style.backgroundColor = 'red';
            	$l("WsConnect").innerHTML = "ERROR: " + evt.data;
			}

			// ****************************** Fin des fonctions WebSocket ***************************************************************************

			// ************************* Debut de la partie gérant les telecommandes prises sans fil ************************************************
			// Fonction d'initialisation des libellés des commandes
			function initLibelles()
			{
				for (var i=0; i<10; i++)
				{
					$l("Cmd_" + i).innerHTML = LIBELLE_CMD[i];
				}
			}

			
			// Fonction de commande et de basculement d'image des boutons
			function bascule(nomImage)
			{
				var boutonSelect = 0;									// bouton selectionné
				var chSelect='';										// bouton selectionné sous forme de chaine pour envoi
				var chEnvoi='';											//  chaine envoyée à la centrale Arduino
				
				boutonSelect = parseInt(nomImage.substr(11,2));
				chSelect = nomImage.substr(10,3);
				
				if (newsrc[boutonSelect]  == "Bouton_Off.png") {
					document.images[nomImage].src = "Images/Bouton_On.png";
					newsrc[boutonSelect] = "Bouton_On.png";
					chEnvoi = '(' + IDENT_BOARD + ';' + 'CMDPR' + ';' + chSelect + ';' + 'ON' + ')';
					wssocket.send(chEnvoi);
 				} else {
					document.images[nomImage].src = "Images/Bouton_Off.png";
					newsrc[boutonSelect] = "Bouton_Off.png";
					chEnvoi = '(' + IDENT_BOARD + ';' + 'CMDPR' + ';' + chSelect + ';' + 'OF' + ')';
					wssocket.send(chEnvoi);
				}
			}
			
			//Fonction temporisée d'affichage de page après deconnexion de websocket.
			function lienpageweb(page,numP)
			{
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';' + numP + ')');		// envoi du numéro de page demandée
				onClose();
				lienPage = page;
				setTimeout("golien()", TIMER_PAGE);
    		}
			
    		// Fonction d'ouverture de la page demandée
    		function golien()
			{
				document.location.href=lienPage;
    		}
			
			// Fonction pour simplifier l'accès aux variables de la page
			function $l(id)
			{
  				return document.getElementById(id); 	// fonction '$' recherche l'element html par son 'id'
			}
			
			// Lance l'initialisation de la page
			window.addEventListener('load', init, false);

		</script>
	</head>
	<body>
		<div id="Titre_Page">
			<img id="Image_Titre" src="Images/Titre_Commande.png" alt="Titre Commande">
		</div>
		<p></p>
		<div id="Conteneur_Cde">
        	<div id="Div_Cde">
            	<table id="Table_Cde">
                	<tr class="Tr_Cde">
                    	<td id="Td_Lib"><div id="Cmd_0"></div></td>
                        <td id="Td_Bt"><img class ="BoutonCde" id="BoutonCde_00" src="Images/Bouton_Off.png" alt="Bouton Cde" onclick="bascule('BoutonCde_00')"></td>
                    </tr>
                	<tr class="Tr_Cde">
                    	<td><div id="Cmd_1"></div></td>
                        <td><img class ="BoutonCde" id="BoutonCde_01" src="Images/Bouton_Off.png" alt="Bouton Cde" onclick="bascule('BoutonCde_01')"></td>
                    </tr>
                	<tr class="Tr_Cde">
                    	<td><div id="Cmd_2"></div></td>
                        <td><img class ="BoutonCde" id="BoutonCde_02" src="Images/Bouton_Off.png" alt="Bouton Cde" onclick="bascule('BoutonCde_02')"></td>
                    </tr>
                	<tr class="Tr_Cde">
                    	<td><div id="Cmd_3"></div></td>
                        <td><img class ="BoutonCde" id="BoutonCde_03" src="Images/Bouton_Off.png" alt="Bouton Cde" onclick="bascule('BoutonCde_03')"></td>
                    </tr>
                	<tr class="Tr_Cde">
                    	<td><div id="Cmd_4"></div></td>
                        <td><img class ="BoutonCde" id="BoutonCde_04" src="Images/Bouton_Off.png" alt="Bouton Cde" onclick="bascule('BoutonCde_04')"></td>
                    </tr>
                	<tr class="Tr_Cde">
                    	<td><div id="Cmd_5"></div></td>
                        <td><img class ="BoutonCde" id="BoutonCde_05" src="Images/Bouton_Off.png" alt="Bouton Cde" onclick="bascule('BoutonCde_05')"></td>
                    </tr>
                	<tr class="Tr_Cde">
                    	<td><div id="Cmd_6"></div></td>
                        <td><img class ="BoutonCde" id="BoutonCde_06" src="Images/Bouton_Off.png" alt="Bouton Cde" onclick="bascule('BoutonCde_06')"></td>
                    </tr>
                	<tr class="Tr_Cde">
                    	<td><div id="Cmd_7"></div></td>
                        <td><img class ="BoutonCde" id="BoutonCde_07" src="Images/Bouton_Off.png" alt="Bouton Cde" onclick="bascule('BoutonCde_07')"></td>
                    </tr>
                	<tr class="Tr_Cde">
                    	<td><div id="Cmd_8"></div></td>
                        <td><img class ="BoutonCde" id="BoutonCde_08" src="Images/Bouton_Off.png" alt="Bouton Cde" onclick="bascule('BoutonCde_08')"></td>
                    </tr>
                	<tr class="Tr_Cde">
                    	<td><div id="Cmd_9"></div></td>
                        <td><img class ="BoutonCde" id="BoutonCde_09" src="Images/Bouton_Off.png" alt="Bouton Cde" onclick="bascule('BoutonCde_09')"></td>
                    </tr>
               	</table> 
			</div>
			<p></p>
			<!-- Tableau d'affichage du status de la connexion au serveur websocket -->
        	<table id="Status_Tab">
        		<tr>
            		<td id="Td_Con1">Status Connexion :</td>
                	<td id="Td_Con2"><div id="WsConnect">connecté...</div></td>
            	</tr>
       		</table>
			<p></p>
			<a target="_blank" onclick='lienpageweb("index.php","01")'><img id="BAcceuil" src="Images/Bouton_Acceuil.png" alt="Bouton Acceuil" /></a>
		</div>
	</body>
</html>