<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta http-equiv="content-language" content="fr" />
		<link rel="stylesheet" type="text/css" href="css/Style_Portail_P.css" />
		<script language="javascript" type="text/javascript" src="script/DomoMaison_config.js"></script>
		<script language="javascript">

            // --------------- Variables globales de la Page_Portail.php du programme DomoMaison_2017 ------------------------------------------------
			var ipJ = '';												// ip de l'ordinateur appelant
			var wsArdu = '';											// adresse websocket de l'Arduino
			var urlCam1 = '';											// ip caméra 5
			var lienPage;
			// --------------------------------------------------------------------------------------------------------------------------------------
			
			// ************************* Affichage Caméras ******************************************************************************************
			// displayWidth & displayHeight spécifient la largeur et la hauteur de l'image affichée.
			var displayWidth = "70%";
			var displayHeight = "50%";

			// This is the path to the image generating file inside the camera itself
			var file = "axis-cgi/jpg/image.cgi?resolution=320x240&rotation=180";

			// Force an immediate image load
			var theTimer = setTimeout('reloadImage()', 1);

			function reloadImage()
			{
				theDate = new Date();
				var url = urlCam1;
				url += file;
				url += '&dummy=' + theDate.getTime().toString(10);
				// The dummy above enforces a bypass of the browser image cache
				// Here we load the image
				document.theImage.src = url;

				// Reload the image every ten seconds (2000 ms)
				theTimer = setTimeout('reloadImage()', 2000);
			}
			// *********************************** fin affichage caméra *****************************************************************************

			// ****************************** Début des fonctions WebSocket *************************************************************************
			// Fonction d'initialisation de la page
			function init()
			{
				recupIp();
            	$l("TextArea").value = "Aucune action en cours" + "\n";
				testWebSocket();
            }
			
 			// Fonction de récupération de l'ip de l'appelant
			function recupIp()
			{
				<?php $ip=$_SERVER["REMOTE_ADDR"];?>
				ipJ = '<?php echo $ip; ?>' ;
					if ((ipJ == '::1') || (ipJ.substring(0,9) == '192.168.1')) {
						wsArdu = WS_ARDU_LOCAL;									// ordinateur appelant local
						urlCam1 = URL_CAM1_LOCAL;			
					}
					else {
						wsArdu = WS_ARDU_INTERNET;								// ordinateur appelant Internet
						urlCam1 = URL_CAM1_INTERNET;			
					}
			}
			
			// Fonction de test de la connexion websocket
			function testWebSocket()
			{
            	wssocket = new WebSocket(wsArdu);
                wssocket.onopen = function() { onOpen() };
                wssocket.onmessage = function(evt) { onMessage(evt) };
            	wssocket.onerror = function(evt) {onError(evt) };
         		wssocket.onclose = function() { onClose() };
			}

			// Fonction de connexion du websocket
			function onOpen()
			{
				$l("WsConnect").innerHTML = 'Connecté...';
				$l("WsConnect").style.backgroundColor = 'rgb(228,244,244)';
                wssocket.send("Connexion etablie");
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';04)');				// envoi de la page en cours
			}
			
			// Fonction de fermeture du websocket
			function onClose()
			{
				$l("WsConnect").innerHTML = 'Déconnecté...';
				$l("WsConnect").style.backgroundColor = 'red';
				//wssocket.close();
				wssocket = null;
			}

			// Fonction de traitement des messages reçu de la centrale domotique
			function onMessage(evt)
			{
				var identifiantRecu = 'XXXX'; 									//identifiant dans la trame reçue du serveur.
				var typeRecu = 'XXXXX';											//type d'information reçue du serveur.
				var rangRecu = 'XX';											// rang signalant le type de données reçues
				var valeurRecue = '';											// valeur de l'information reçue du serveur
				var chaineRecue = evt.data.substring(1,evt.data.length-1);		// supprime les parenthèses en début et fin de chaine
				var tableau = chaineRecue.split(';');							// extrait les données
            	window.console.log(evt.data);									// pour DEBUG
				identifiantRecu = tableau[0];
				typeRecu = tableau[1];
				rangRecu = tableau[2];
				$l("Bouton1").disabled = false;
				$l("Bouton2").disabled = false;
				$l("Charge").style.visibility = "hidden";
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'MESSA')) {
						if (rangRecu == "01") {
							valeurRecue = tableau[3];
							$l("TextArea").value = $l("TextArea").value + valeurRecue + "\n";
						}
					}
 			}

			// Fonction de traitement des erreurs de la connexion websocket
			function onError(evt)
			{
				$l("WsConnect").style.backgroundColor = 'red';
            	$l("WsConnect").innerHTML = "ERROR: " + evt.data;
			}
			// ****************************** Fin des fonctions WebSocket ***************************************************************************
			
			// Fonction d'envoi de l'ordre à la centrale
			function onClickButton(envoi)
			{
				$l("Charge").style.visibility = "visible";
				switch (envoi) {
					case "01":
						$l("Bouton1").disabled = true;
						document.images['Bouton1'].src = "Images/Bouton_PorteG_2.png";
						setTimeout(function(){document.images['Bouton1'].src = "Images/Bouton_PorteG.png"}, 500);
						break;
					case "02":
						$l("Bouton2").disabled = true;
						document.images['Bouton2'].src = "Images/Bouton_PorteD_2.png";
						setTimeout(function(){document.images['Bouton2'].src = "Images/Bouton_PorteD.png"}, 500);
						break;
					default:
				}
				wssocket.send('(' + IDENT_BOARD + ';GARAG;' + envoi + ')');
			} // fin onclickButton
			
			//Fonction temporisée d'affichage de page après deconnexion de websocket.
			function lienpageweb(page,numP)
			{
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';' + numP + ')');		// envoi du numéro de page demandée
				onClose();
				lienPage = page;
				setTimeout("golien()", TIMER_PAGE);
    		}
			
    		// Fonction d'ouverture de la page demandée
    		function golien()
			{
				document.location.href = lienPage;
    		}
			
			// Fonction pour simplifier l'accès aux variables de la page
			function $l(id)
			{
  				return document.getElementById(id); 										// fonction '$' recherche l'element html par son 'id'
			}
			
			// Lance l'initialisation de la page
			window.addEventListener('load', init, false);

		</script>
	</head>
	<body>
		<div id="Titre_Page">
			<img id="Image_Titre" src="Images/Titre_Garage.png" alt="Titre Garage">
		</div>
		<p></p>
		<div id="Conteneur_1">
		<script language="javascript">
			document.write('<img name = "theImage" src="" height="' + displayHeight + '"');
			document.write('width="' + displayWidth + '" alt="Live image">');
		</script>
		</div>
		<div id="Conteneur_2">
           <img class="Ordre" id="Bouton1" src="Images/Bouton_PorteG.png" alt="bouton Cde Porte gauche" onclick="onClickButton('01')"/>
 			<p><img id="Charge" src="Images/chargeur.gif" alt="Charge"/></p>
           <img class="Ordre" id="Bouton2" src="Images/Bouton_PorteD.png" alt="bouton Cde Porte droite" onclick="onClickButton('02')"/>
		</div>
		<div id="Conteneur_3">
			<p></p>
			<!-- Tableau d'affichage de l'ordre exécuté -->
			<p id="Cde">Commandes exécutées :</p>
			<textarea id="TextArea" rows="4" cols="40"></textarea>
        	<p></p>
		</div>
		<div id="Conteneur_4">
			<p><br/></p>
			<a target="_blank" onclick='lienpageweb("Index_P.php","51")'><img id="BAcceuil" src="Images/Bouton_Acceuil.png" alt="Bouton Acceuil" /></a>
		</div>
		<div>
			<!-- Tableau d'affichage du status de la connexion au serveur websocket -->
        	<table>
        		<tbody><tr>
            		<td>Status Connexion :</td>
                	<td><div id="WsConnect">connecté...</div></td>
            	</tr></tbody>
       		</table>
		</div>
	</body>
</html>