<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta http-equiv="content-language" content="fr" />
		<link rel="stylesheet" type="text/css" href="css/datapicker/jquery-ui.css" >
		<link rel="stylesheet" type="text/css" href="css/Style_GestChauff.css" />
		<script src="external/jquery/jquery.js"></script>
		<script language="javascript" type="text/javascript" src="script/jquery-ui.js"></script>
		<script language="javascript" type="text/javascript" src="script/datepicker-fr.js"></script>
		<script language="javascript" type="text/javascript" src="script/DomoMaison_config.js"></script>
		<script language="javascript">
			
			// --------------- Variables globales de la Page_GestChauff.php du programme DomoMaison_2017 ---------------------------------------------
			var ipJ = '';						// ip de l'ordinateur appelant
			var wsArdu = '';					// adresse websocket de l'Arduino
			var lienPage;
			// --------------------------------------------------------------------------------------------------------------------------------------
			
			// ******************************Début des fonctions WebSocket **************************************************************************
			// Fonction d'initialisation de la page
			function init()
			{
				$.datepicker.setDefaults( $.datepicker.regional[ "fr" ] );
				$( "#Sjo5" ).datepicker();
				$( "#Sjo6" ).datepicker();
				$( "#Sjo7" ).datepicker();
				$( "#Sjo8" ).datepicker();
				recupIp();
				testWebSocket();
            }

 			// Fonction de récupération de l'ip de l'appelant
			function recupIp()
			{
				<?php $ip=$_SERVER["REMOTE_ADDR"];?>
				ipJ = '<?php echo $ip; ?>' ;
					if ((ipJ == '::1') || (ipJ.substring(0,9) == '192.168.1')) {
						wsArdu = WS_ARDU_LOCAL;				// ordinateur appelant local
					}
					else {
						wsArdu = WS_ARDU_INTERNET;			// ordinateur appelant Internet
					}
			}
			
			// Fonction de test de la connexion websocket
			function testWebSocket()
			{
				wssocket = new WebSocket(wsArdu);
                wssocket.onopen = function() { onOpen() };
                wssocket.onmessage = function(evt) { onMessage(evt) };
            	wssocket.onerror = function(evt) {onError(evt) };
         		wssocket.onclose = function() { onClose() };
			}

			// Fonction de connexion du websocket
			function onOpen()
			{
				$l("WsConnect").innerHTML = 'Connecté...';
				$l("WsConnect").style.backgroundColor = 'rgb(228,244,244)';
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';18)');		// envoi de la page en cours
				wssocket.send('(' + IDENT_BOARD + ';DPARA;18)');				// demande à la centrale d'envoyer les paramètres
			}
			
			// Fonction de fermeture du websocket
			function onClose()
			{
				$l("WsConnect").innerHTML = 'Déconnecté...';
				$l("WsConnect").style.backgroundColor = 'red';
				wssocket.close();
				wssocket = null;
			}
			
			// Fonction de traitement des messages reçu de la centrale domotique
			function onMessage(evt)
			{
				var identifiantRecu = 'XXXX'; 							// identifiant dans la trame reçue du serveur.
				var typeRecu = 'XXXXX';									// type d'information reçue du serveur.
				var rangRecu = "00";									// rang dans la trame reçue du serveur.
				var valeurRecue = "";									// valeur dans la trame reçue du serveur
				var mode;												// Mode de fonctionnement des radiateurs
            	window.console.log(evt.data);							// POUR DEBUG
				chaineRecue = evt.data.substring(1, evt.data.length-1);
				var tableau = chaineRecue.split(';');
				var chTemp;
				identifiantRecu = tableau[0];
				typeRecu = tableau[1];
				rangRecu = tableau[2];
				
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'RADIA')) {			// Réception de données pour les radiateurs
						if (rangRecu == '01') {													// Réception du mode de fonctionnement immédiat des radiateurs
							// Récepion d'un message sous la forme (ME01;RADIA;01;01320400), mais chaine_rec = ME01;RADIA;01;01320400
							for (var i=1; i<9; i++) {
								mode = chaineRecue.substring(13 + i,14 + i);					// mode de fonctionnement des radiateurs
								window.console.log(i +" : " + mode);							// POUR DEBUG
								$l("Z" + i).selectedIndex = mode;
							}
						}
						else if (rangRecu == '02') {
							chargeProg(chaineRecue);
						}
					}
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'MESSA')) {
						valeurRecue = tableau[3];
						if (valeurRecue == "EnvoiOK") {
							alert("Envoi des paramètres OK");
						}
					}
			}
			
			// Fonction de traitement des erreurs de la connexion websocket
			function onError(evt)
			{
				$l("WsConnect").style.backgroundColor = 'red';
            	$l("WsConnect").innerHTML = "ERROR: " + evt.data;
			}
			// ****************************** Fin des fonctions WebSocket ***************************************************************************

			// ************************* Début de la partie gérant la programmation du chauffage ****************************************************
			
			// Fonction de chargement de la programmation des radiateurs
			function chargeProg(chaine)
			{
				// Récepion d'un message sous la forme (ME01;RADIA;02;01;0;32/32/2032;02130400;12;40)
				var chTemp;
				var tableau = chaine.split(';');
				var numProg = parseInt(tableau[3]);							// N° du programme
				var dateProg = tableau[5];									// date du programme
				
					switch (dateProg) {
						case "32/32/2032":									// programme pour la semaine
							$l('Sjo' + numProg).selectedIndex = 0;
							break;
						case "33/33/2033":									// programme pour le week-end
							$l('Sjo' + numProg).selectedIndex = 1;
							break;
						case "99/99/2099":									// pas de date sélectionnée
							$l('Sjo' + numProg).value = "";
							break;
						default:
							$l('Sjo' + numProg).value = dateProg;			// programme pour une journée spécifique
							break;
					}
					for (var i=1; i<9; i++) {
						chtemp = chaine.substring(29 + i,30 + i);			// mode de fonctionnement des radiateurs
						$l('Z' +numProg + i).selectedIndex = chtemp;
					}
				chTemp = tableau[7];										// Heures d'application de la programmation
				$l('Heu' + numProg).value = chTemp;
				chTemp = tableau[8];										// Minutes d'application de la programmation
				$l('Min' + numProg).value = chTemp;
				chTemp = tableau[4];										// Activé ou non
					if (chTemp == 1) {
						$l('A' + numProg).checked = true;
					}
					else {
						$l('A' + numProg).checked = false;
					}
			}
			
			// Fonction d'envoi de la programmation des rdiateurs
			function onClickButton()
			{
				// vérifie d'abord la saisie
				var valid = verifieSaisie();
				
				// Envoi pour chaque ligne de programme d'un message sous la forme :
				// (ME01;FORAD;02;01;0;12/10/2017;00113041;00;00)
					
				if (valid == false) {
					var act = 0;				// activé ou non (0 pour non activé et 1 pour activé)
					var jpr = "";				// 32/32/3232 pour la semaine ou 33/33/3333 pour le week-end ou date
					var modeF = "";				// chaine de 8 chiffres (0 à 4)
					var envoi = "";				// chaine complète envoyée à la centrale domotique pour chaque programme
				
						for (var i=1; i<9; i++) {
							envoi = '(' + IDENT_BOARD + ';FORAD;02;0' + i;
								if ($l('A' + i).checked == true) {
									act = '1';
								}
								else {
									act = '0';
								}
								if ($l('Sjo' + i).value == "") {
									jpr = '99/99/9999';
								}
								else {
									jpr = $l('Sjo'+i).value;
								}
							envoi = envoi + ';' + act + ';' + jpr + ';';
								for (var j=1; j<9; j++) {
									envoi = envoi + $l('Z' + i + j).value;
								}
							envoi = envoi + ';' + $l('Heu' + i).value + ';' + $l('Min' + i).value + ')';
							window.console.log(envoi);				// pour DEBUG
							wssocket.send(envoi);
						}
				}
			}
			
			// Fonction d'envoi du mode par défaut ou immédiat des radiateurs
			function onClickValid()
			{
				// Envoi d'un message sous la forme : (ME01;FORAD;01;0;0;1;2;4;2;3;0)
				var fonc = "";										// Chaine du mode de fonctionnement des radiateurs
				var envoi = "";										// Chaine envoyée à la centrale domotique
				
					for (var i=1; i<9; i++) {
						fonc = fonc + ";" + $l("Z" + i).value;
					}
					
				envoi = "(" + IDENT_BOARD + ";FORAD;01" + fonc + ")";
            	window.console.log(envoi);								// pour debug
				wssocket.send(envoi);
			}
			
			
			// Fonction de vérification de la saisie des la programmation
			function verifieSaisie()
			{
				var erreur = false;
				var msg = "";
				
					for (var i=1; i<9; i++) {
						if ($l('A' + i).checked == true) {
							if ($l('Sjo' + i).value == "") {
								erreur = true;
								msg = "Erreur de date programme " + i;
								break;
							}
							erreur = false;
							if (($l('Heu' + i).value == "--") || ($l('Min' + i).value == "--")) {
								erreur = true;
								msg = "Erreur dans les horaires programme " + i;
								break;
							}
						}
					}
					if (erreur == true) {
						alert(msg);
					}
				return erreur
			}
			
			// Fonction permettant de mettre toutes les zones dans le même fonctionnement
			function changeToutesZones()
			{
				var choix = $l("Z0").value;
					
					for (var i=1; i<9; i++) {
						$l("Z" + i).selectedIndex = choix;
					}
			}
			// ************************* Fin de la partie gérant la programmation du chauffage ******************************************************
			
			//Fonction temporisée d'affichage de page après deconnexion de websocket.
			function lienpageweb(page,numP)
			{
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';' + numP + ')');			// envoi du numéro de page demandée
				onClose();
				lienPage = page;
				setTimeout("golien()", TIMER_PAGE);
    		}
			
    		// Fonction d'ouverture de la page demandée
    		function golien(){
				document.location.href=lienPage;
    		}
			
			// Fonction pour simplifier l'accès aux variables de la page
			function $l(id) {
  				return document.getElementById(id); // fonction '$' recherche l'element html par son 'id'
			}
			
			// Lance l'initialisation de la page
			window.addEventListener('load', init, false);
			
		</script>
	</head>
	<body>
		<div id="Titre_Page">
			<img id="Image_Titre" src="Images/Titre_Gestrad.png" alt="Titre Journal" />
		</div>
		<br/>
		<center><div id="Cont_Fonc_Rad">
			<div class="Zo" id="Titre_Fonc"> Fonctionnement immédiat des radiateurs<span>NC : non connecté, CO : Confort, EC : Economique, HG : Hors gel, AR : Arrêt</span></div>
        	<table id="Table3">
            	<tr>
                    <th><strong><div class="Zo">Toutes<span>Toutes les zones</span></div></strong></th>
                    <th><strong><div class="Zo">Z.1<span>Cuisine-Séjour</span></div></strong></th>
                    <th><strong><div class="Zo">Z.2<span>Chambre 1</span></div></strong></th>
                    <th><strong><div class="Zo">Z.3<span>Bureau</span></div></strong></th>
                    <th><strong><div class="Zo">Z.4<span>Salle de bains</span></div></strong></th>
                    <th><strong><div class="Zo">Z.5<span>Chambre 2</span></div></strong></th>
                    <th><strong><div class="Zo">Z.6<span>Buanderie</span></div></strong></th>
                    <th><strong><div class="Zo">Z.7<span>Couloir</span></div></strong></th>
                    <th><strong><div class="Zo">Z.8<span>Libre</span></div></strong></th>
                    <th><strong>Validation</strong></th>
                </tr>
                <tr>
					<td>    
						<select class="Modf" id="Z0" onchange="changeToutesZones()">
							<option value="0">NC</option>  
							<option value="1">CO</option>  
							<option value="2">EC</option>  
							<option value="3">HG</option>  
							<option value="4">AR</option>
						</select>
					</td>
					<td>    
						<select class="Modf" id="Z1">
							<option value="0">NC</option>  
							<option value="1">CO</option>  
							<option value="2">EC</option>  
							<option value="3">HG</option>  
							<option value="4">AR</option>  
						</select>
					</td>
					<td>    
						<select class="Modf" id="Z2">
							<option value="0">NC</option>  
							<option value="1">CO</option>  
							<option value="2">EC</option>  
							<option value="3">HG</option>  
							<option value="4">AR</option>  
						</select>
					</td>
					<td>    
						<select class="Modf" id="Z3">
							<option value="0">NC</option>  
							<option value="1">CO</option>  
							<option value="2">EC</option>  
							<option value="3">HG</option>  
							<option value="4">AR</option>  
						</select>
						</td>
					<td>    
						<select class="Modf" id="Z4">
							<option value="0">NC</option>  
							<option value="1">CO</option>  
							<option value="2">EC</option>  
							<option value="3">HG</option>  
							<option value="4">AR</option>  
						</select>
					</td>
					<td>    
						<select class="Modf" id="Z5">
							<option value="0">NC</option>  
							<option value="1">CO</option>  
							<option value="2">EC</option>  
							<option value="3">HG</option>  
							<option value="4">AR</option>  
						</select>
					</td>
					<td>    
						<select class="Modf" id="Z6">
							<option value="0">NC</option>  
							<option value="1">CO</option>  
							<option value="2">EC</option>  
							<option value="3">HG</option>  
							<option value="4">AR</option>  
						</select>
					</td>
					<td>    
						<select class="Modf" id="Z7">
							<option value="0">NC</option>  
							<option value="1">CO</option>  
							<option value="2">EC</option>  
							<option value="3">HG</option>  
							<option value="4">AR</option>  
						</select>
					</td>
					<td>    
						<select class="Modf" id="Z8">
							<option value="0">NC</option>  
							<option value="1">CO</option>  
							<option value="2">EC</option>  
							<option value="3">HG</option>  
							<option value="4">AR</option>  
						</select>
					</td>
					<td colspan="13">
						<button id="Valid" onclick="onClickValid()">Valider</button>
					</td>
				</tr>
			</table>
		</div><center>
		<center><div id="Cont_Gest_Rad">
			<div class="Zo" id="Titre_Prog">Programmation des radiateurs<span>NC : non connecté, CO : Confort, EC : Economique, HG : Hors gel, AR : Arrêt</span></div>
        	<table id="Table1">
            	<tr>
               		<th><strong>N°</strong></th>
                    <th><strong>Jour</strong></th>
                    <th><strong><div class="Zo">Z.1<span>Cuisine-Séjour</span></div></strong></th>
                    <th><strong><div class="Zo">Z.2<span>Chambre 1</span></div></strong></th>
                    <th><strong><div class="Zo">Z.3<span>Bureau</span></div></strong></th>
                    <th><strong><div class="Zo">Z.4<span>Salle de bains</span></div></strong></th>
                    <th><strong><div class="Zo">Z.5<span>Chambre 2</span></div></strong></th>
                    <th><strong><div class="Zo">Z.6<span>Buanderie</span></div></strong></th>
                    <th><strong><div class="Zo">Z.7<span>Couloir</span></div></strong></th>
                    <th><strong><div class="Zo">Z.8<span>Libre</span></div></strong></th>
                    <th colspan="2"><strong>Heure d'applic.</strong></th>
                    <th><strong>Activé</strong></th>
                </tr>
                <tr>
                	<td>1</td>
                    <td>
                    	<select name="Sjo1" id="Sjo1">
                        	<option value="32/32/3232">Semaine</option>
                        	<option value="33/33/3333">Week-end</option>
                        </select>
                  	</td>
                    <td>    
                    	<select class="Modf" id="Z11">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z12">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z13">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z14">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z15">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z16">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z17">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z18">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>
                    	<select name="Heu1" id="Heu1">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Min1" id="Min1">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<input type="checkbox" name="A1" id="A1" />
                    </td>    
                </tr>
                <tr>
                	<td>2</td>
                    <td>
                    	<select name="Sjo2" id="Sjo2">
                        	<option value="32/32/3232">Semaine</option>
                        	<option value="33/33/3333">Week-end</option>
                        </select>
                  	</td>
                    <td>    
                    	<select class="Modf" id="Z21">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z22">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z23">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z24">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z25">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z26">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z27">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z28">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>
                    	<select name="Heu2" id="Heu2">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Min2" id="Min2">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<input type="checkbox" name="A2" id="A2" />
                    </td>    
                </tr>
                <tr>
                	<td>3</td>
                    <td>
                    	<select name="Sjo3" id="Sjo3">
                        	<option value="32/32/3232">Semaine</option>
                        	<option value="33/33/3333">Week-end</option>
                        </select>
                  	</td>
                    <td>    
                    	<select class="Modf" id="Z31">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z32">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z33">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z34">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z35">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z36">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z37">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z38">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>
                    	<select name="Heu3" id="Heu3">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Min3" id="Min3">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<input type="checkbox" name="A3" id="A3" />
                    </td>    
                </tr>
                <tr>
                	<td>4</td>
                    <td>
                    	<select name="Sjo4" id="Sjo4">
                        	<option value="32/32/3232">Semaine</option>
                        	<option value="33/33/3333">Week-end</option>
                        </select>
                  	</td>
                    <td>    
                    	<select class="Modf" id="Z41">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z42">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z43">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z44">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z45">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z46">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z47">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z48">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>
                    	<select name="Heu4" id="Heu4">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Min4" id="Min4">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<input type="checkbox" name="A4" id="A4" />
                    </td>    
                </tr>
                <tr id="Separ">
                 	<td>5</td>
               		<td>
						<input class="datepicker" type="text" id="Sjo5" name="Sjo5">
                    </td>
                    <td>    
                    	<select class="Modf" id="Z51">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z52">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z53">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z54">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z55">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z56">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z57">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z58">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>
                    	<select name="Heu5" id="Heu5">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Min5" id="Min5">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<input type="checkbox" name="A5" id="A5" />
                    </td>    
                </tr>
                <tr>
                 	<td>6</td>
               		<td>
						<input class="datepicker" type="text" id="Sjo6" name="Sjo6">
                    </td>
                    <td>    
                    	<select class="Modf" id="Z61">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z62">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z63">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z64">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z65">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z66">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z67">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z68">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>
                    	<select name="Heu6" id="Heu6">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Min6" id="Min6">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<input type="checkbox" name="A6" id="A6" />
                    </td>    
                </tr>
                <tr>
                 	<td>7</td>
               		<td>
						<input class="datepicker" type="text" id="Sjo7" name="Sjo7">
                    </td>
                    <td>    
                    	<select class="Modf" id="Z71">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z72">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z73">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z74">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z75">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z76">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z77">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z78">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>
                    	<select name="Heu7" id="Heu7">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Min7" id="Min7">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<input type="checkbox" name="A7" id="A7" />
                    </td>    
                </tr>
                <tr>
                 	<td>8</td>
               		<td>
						<input class="datepicker" type="text" id="Sjo8" name="Sjo8">
                    </td>
                    <td>    
                    	<select class="Modf" id="Z81">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z82">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z83">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z84">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z85">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z86">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z87">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>    
                    	<select class="Modf" id="Z88">
                        	<option value="0">NC</option>  
                        	<option value="1">CO</option>  
                        	<option value="2">EC</option>  
                        	<option value="3">HG</option>  
                        	<option value="4">AR</option>  
                   		</select>
					</td>
                    <td>
                    	<select name="Heu8" id="Heu8">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Min8" id="Min8">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<input type="checkbox" name="A8" id="A8" />
                    </td>    
                </tr>
                <tr id="Separ">
                	<td colspan="13">
						<button id="Bouton" onclick="onClickButton()">Envoyer les données</button>
                    </td>
               	</tr>
        	</table>
		</div></center>
		<div id="DivRetour">
			<center><a target="_blank" onclick='lienpageweb("Page_Chauffage.php","05")'><img id="BRetour" src="Images/Bouton_Retour.png" alt="Bouton Retour" /></a></center>
		</div>
		<br/>
		<!-- Tableau d'affichage du status de la connexion au serveur websocket -->
        <div id="Status">
			<center><table id="Status_Tab">
				<tr>
					<td class="Td_Status">Status Connexion :</td>
					<td class="Td_Status"><div id="WsConnect">connecté...</div></td>
				</tr>
			</table><center>
		</div>
	</body>
</html>