<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta http-equiv="content-language" content="fr" />
		<link rel="stylesheet" type="text/css" href="css/Style_Param.css" />
		<script type="text/javascript" charset="utf-8" src="script/jquery-1.3.2.min.js"></script>
		<script language="javascript" type="text/javascript" src="script/DomoMaison_config.js"></script>
		<script language="javascript">

            // --------------- Variables globales de la page_Paramètres.php du programme DomoMaison_2017 --------------------------------------------
			var ipJ='';										// ip de l'ordinateur appelant
			var wsArdu='';									// adresse websocket de l'Arduino
			var envoi = "";
			var erreur = false;
			var lienPage;
			var numT=[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
			var idT=[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
			var anneeEnreg = 0;								// Année enregistrée dans le fichier objectif
			var dateJour;									// date du jour
			var anneeCours = 0;								// Année encours
			var comElecHC = 0;								// Relevé du compteur électrique Heures Creuses au 01 janvier de l'année en cours
			var comElecHP = 0;								// Relevé du compteur électrique Heures Pleines au 01 janvier de l'année en cours
			var comEau = 0;									// Relevé du compteur d'eau au 01 janvier de l'année en cours
			var objElecHC = 0;								// Objectif de consommation électrique en heures creuses pour l'année en cours
			var objElecHP = 0;								// Objectif de consommation électrique en heures pleines pour l'année en cours
			var objEau = 0;									// Objectif de consommation d'eau pour l'année en cours
			var nbreJoursEJP = 0;							// Nombre de jours EJP écoulés (du 01/11/xxxx au 31/03/xxxx)
			// --------------------------------------------------------------------------------------------------------------------------------------
			
			// ******************************Début des fonctions WebSocket **************************************************************************
			// Fonction d'initialisation de la page
			function init()
			{
				recupIp();
				testWebSocket();
				initTempA();
			}
			
 			// Fonction de récupération de l'ip de l'appelant
			function recupIp()
			{
				<?php $ip=$_SERVER["REMOTE_ADDR"];?>
				ipJ = '<?php echo $ip; ?>' ;
					if ((ipJ == '::1') || (ipJ.substring(0,9) == '192.168.1')) {
						wsArdu = WS_ARDU_LOCAL;					// ordinateur appelant local
					}
					else {
						wsArdu = WS_ARDU_INTERNET;				// ordinateur appelant Internet
					}
			}
			
			// Fonction de test de la connexion websocket
			function testWebSocket()
			{
            	wssocket = new WebSocket(wsArdu);
                wssocket.onopen = function() { onOpen() };
                wssocket.onmessage = function(evt) { onMessage(evt) };
            	wssocket.onerror = function(evt) {onError(evt) };
         		wssocket.onclose = function() { onClose() };
			}

			// Fonction de connexion du websocket
			function onOpen()
			{
				$l("WsConnect").innerHTML = 'Connecté...';
				$l("WsConnect").style.backgroundColor = 'rgb(228,244,244)';
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';11)');				// envoi de la page en cours
				wssocket.send('(' + IDENT_BOARD + ';DPARA;11)');						// demande à la centrale d'envoyer les paramètres
			}
			
			// Fonction de fermeture du websocket
			function onClose()
			{
				$l("WsConnect").innerHTML='Déconnecté...';
				$l("WsConnect").style.backgroundColor = 'red';
				wssocket.close();
				wssocket = null;
			}

			// Fonction de traitement des messages reçu de la centrale domotique
			function onMessage(evt)
			{
				var identifiantRecu = 'XXXX'; 									//identifiant dans la trame reçue du serveur.
				var typeRecu = 'XXXXX';											//type d'information reçue du serveur.
				var rangRecu = 'XX';											// rang signalant le type de données reçues
				var valeurRecue = '';											// valeur de l'information reçue du serveur
				var infoRecue = '';												// Informations sur la date et l'heure de la centrale
				var chaineRecue = evt.data.substring(1,evt.data.length-1);		// supprime les parenthèses en début et fin de chaine
				var tableau = chaineRecue.split(';');							// extrait les données
            	window.console.log(evt.data);									// pour DEBUG
				identifiantRecu = tableau[0];
				typeRecu = tableau[1];
				rangRecu = tableau[2];
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'PARAM')) {
						if (rangRecu == '01') {
							chargeParaV(chaineRecue);							// Chargement des données pour les volets
						}
						else if (rangRecu == '02') {
							chargeParaS(chaineRecue);							// Chargement de l'appairage des sondes de température
						}
						else if (rangRecu == '03') {
							chargeObjectifElec(chaineRecue);					// Chargement des relevés du compteur électrique et des objectifs
						}
						else if (rangRecu == '04') {
							chargeObjectifEau(chaineRecue);						// Chargement des relevés du compteur Eau et des objectifs
						}
					}
					else if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'SONTE')) {
						chargeSondesT(chaineRecue);
					}
					else if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'MESSA')) {
						valeurRecue = tableau[3];
							if (rangRecu == "01") {
								if (valeurRecue == "envoiOK") {
									alert("Envoi des paramètres volets OK");
								}
							}
							else if (rangRecu == "02") {
								if (valeurRecue == "envoiOK") {
									alert("Envoi de l'appairage sondes OK");
								}
							}
							else if (rangRecu == "03") {
								if (valeurRecue == "envoiOK") {
									alert("Envoi des objectifs OK");
								}
							}
							else if (rangRecu == "04") {
								if (valeurRecue == "Heure OK") {
									alert("Modification Date et Heure OK");
								}
							}
					}
					else if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'DATHE')) {
						afficheDateHeure(chaineRecue);
					}
 			}

			// Fonction de traitement des erreurs de la connexion websocket
			function onError(evt)
			{
				$l("WsConnect").style.backgroundColor = 'red';
            	$l("WsConnect").innerHTML = "ERROR: " + evt.data;
			}
			// ****************************** Fin des fonctions WebSocket ***************************************************************************

			// ******************************Début des fonctions Paramètres *************************************************************************
			// Fonction d'initialisation du tableau des températures
			function initTempA()
			{
				for (var i=1; i<16; i++)
				{
					$l("TextTemp_"+i).innerHTML = LIBELLE_PIECE[i];
				}
			}
			
			// Fonction d'envoi de la date et de l'heure à la centrale
			function valideDate()
			{
				var envoi = "";
				var anneeJour = An.value;
				var moisJour = Ms.value - 1;
				var jourJour = Jr.value;
				var heureJour = Heu.value;
				var minJour = Min.value;
				
				var dateJour = new Date(anneeJour, moisJour, jourJour, heureJour, minJour);
				var unixJour = (dateJour.getTime() / 1000);
				
				// Elaboration du message d'envoi de la date et de l'heure modifiée
				envoi = "(" + IDENT_BOARD + ";MDATE;" + unixJour + ")";
				// Envoi du message
				window.console.log(envoi);						// pour DEBUG
				wssocket.send(envoi);
			}
			
			// Fonction de chargement des données pour les volets
			function chargeParaV(chaineInfo)
			{
				var num = 0;
				var tableau = chaineInfo.split(';');
				num = tableau[3];
				$l("SelectMode").selectedIndex = num;
				num = tableau[4];
				$l("DepVolet").selectedIndex = num - 1;
					for (var i=0; i<8; i++)
					{
						num = tableau[5 + i];
						$l("Volet" + (i + 1)).value = num;
					}
			}
			
			// Fonction de chargement des données pour les sondes de température
			function chargeParaS(chaineInfo)
			{
				var num = 0;
				var tableau = chaineInfo.split(';');
				num = parseInt(tableau[3]);							// Numéro de la pièce
				numT[num] = parseInt(tableau[4]);
				$l("NumT_" + num).value = numT[num];
				idT[num] = parseInt(tableau[5]);
					if ((idT[num] == 0) && (numT[num] != 0)) {
						$l("IdT_" + num).innerHTML = "F";
					}
					else {
						$l("IdT_" + num).innerHTML = idT[num];
					}
			}

			// Fonction d'annulation des modification d'appairage des sondes
			function annuleAppaire()
			{
				for (var i=1; i<16; i++)
				{
					$l("NumT_" + i).value = numT[i];
					$l("IdT_" + i).innerHTML = idT[i];
				}
			}
			
			// Fonction de validation de l'appairage des sondes de températures
			function valideAppaire()
			{
				var temp = '';
				var envoi = "";
				// Elaboration du message d'envoi pour l'appairage des sondes
				envoi = "(" + IDENT_BOARD + ";EPARA;02";
					for (var i=1; i<16; i++)
					{
						temp = $l("NumT_" + i).value;
							if (temp < 10) temp = " " + temp;
						envoi = envoi + ";" + temp;
					}
				envoi = envoi + ")";
				// Envoi du message
				window.console.log(envoi);						// pour DEBUG
				wssocket.send(envoi);
			
			}
			
			// Fonction de chargement des sondes de températures envoyées par la centrale domotique
			function chargeSondesT(chaineT)
			{
					var temp = "";
					var num = 0;
					var valeurRecue = '';											// valeur de l'information reçue du serveur
					var tableau = chaineT.split(';');
					valeurRecue = tableau[2];
					num = parseInt(valeurRecue);
					$l("RecepNumT_" + num).innerHTML = tableau[2];
						if (num > 5) {
							temp = tableau[3];
							$l("RecepIdT_" + num).innerHTML = temp;
						}
						else {	
							$l("RecepIdT_" + num).innerHTML = "F";
						}
					temp = tableau[4];
					$l("RecepTeT_" + num).innerHTML = (temp/10).toFixed(1);
					temp = tableau[5];
					$l("RecepHumT_"+num).innerHTML = temp;
					temp = tableau[6];
						if (num > 5) {
							if (temp == '90') {
								$l("RecepBattT_" + num).innerHTML = "OK";
							}
							else {
								$l("RecepBattT_" + num).innerHTML = "HS";
							}
						}
						else {
							$l("RecepBattT_" + num).innerHTML = "X";
						}	
			}
			
			// Fonction d'appairage des sondes de température
			function appaireT(emp,numSonde)
			{
				if (numSonde != 0) {
					if ($l("RecepIdT_" + numSonde).innerHTML == "F") { 
						$l("IdT_" + emp).innerHTML = "F";
					}
					else {
						$l("IdT_" + emp).innerHTML = $l("RecepIdT_" + numSonde).innerHTML;
					}
				}
				else {
					$l("IdT_" + emp).innerHTML = "0";
				}
			}
			
			// Fonction de chargement des relevés du compteur électrique, ainsi que les objectifs et la date de mise à jour
			function chargeObjectifElec(chaineObj)
			{
				var tempInt = 0;
				var tempReste = 0;
				
				var tableau = chaineObj.split(';');
				anneeEnreg = tableau[3];										// Année enregistrée dans le fichier objectif
				dateJour = new Date();
				anneeCours = dateJour.getFullYear();							// Année en cours
				$l("Date_Releve").innerHTML = "au 01/01/" + anneeCours;
				$l("Date_Objec").innerHTML = "Objectif Année " + anneeCours;
				tempInt = parseInt(tableau[4]);
				tempReste = parseInt(tableau[5]);
				comElecHC = (tempInt * 1000) + tempReste;						// Relevé du compteur électrique Heures Creuses au 01 janvier de l'année en cours
				$l("ComElecHC").value = comElecHC;
				tempInt = parseInt(tableau[6]);
				tempReste = parseInt(tableau[7]);
				comElecHP = (tempInt * 1000) + tempReste;						// Relevé du compteur électrique Heures Pleines au 01 janvier de l'année en cours
				$l("ComElecHP").value = comElecHP;
				nbreJoursEJP = parseInt(tableau[8]);							// Nbre de jours EJP écoulés
				$l("JoursEJP").value = nbreJoursEJP;
				objElecHC = parseInt(tableau[9]);								// Objectif de consommation électrique en heures creuses pour l'année en cours
				$l("ObjElecHC").value = objElecHC;
				objElecHP = parseInt(tableau[10]);								// Objectif de consommation électrique en heures pleines pour l'année en cours
				$l("ObjElecHP").value = objElecHP;
			}
			
			// Fonction de chargement du relevé du compteur Eau, ainsi que l'objectif
			function chargeObjectifEau(chaineObj)
			{
				var tempInt = 0;
				var tempReste = 0;
				
				var tableau = chaineObj.split(';');
				comEau = parseInt(tableau[4]);									// Relevé du compteur d'eau au 01 janvier de l'année en cours
				$l("ComEau").value = comEau;
				objEau = parseInt(tableau[5]);									// Objectif de consommation d'eau pour l'année en cours
				$l("ObjEau").value = objEau;
					if (anneeCours != anneeEnreg) {
						alert("Objectifs non initialisés")
					}
			}

			// Fonction d'annulation des modification dans les objectifs de consommation
			function annuleObjectif()
			{
				$l("ComElecHC").value = comElecHC;
				$l("ComElecHP").value = comElecHP;
				$l("ComEau").value = comEau;
				$l("JoursEJP").value;
				$l("ObjElecHC").value = objElecHC;
				$l("ObjElecHP").value = objElecHP;
				$l("ObjEau").value = objEau;
			}
			
			// Fonction de validation des objectifs de consommation
			function valideObjectif()
			{
				var tempInt_HC = 0;
				var tempReste_HC = 0;
				var tempInt_HP = 0;
				var tempReste_HP = 0;
				
				comElecHC = $l("ComElecHC").value;
				tempInt_HC = parseInt(comElecHC / 1000);
				tempReste_HC = comElecHC % 1000;
				comElecHP = $l("ComElecHP").value;
				tempInt_HP = parseInt(comElecHP / 1000);
				tempReste_HP = comElecHP % 1000;
				comEau = $l("ComEau").value;
				nbreJoursEJP = $l("JoursEJP").value;
				objElecHC = $l("ObjElecHC").value;
				objElecHP = $l("ObjElecHP").value;
				objEau = $l("ObjEau").value;
				var tempInt_HC_F = formatDonnees(String(tempInt_HC), 3);
				var tempReste_HC_F = formatDonnees(String(tempReste_HC), 3);
				var tempInt_HP_F = formatDonnees(String(tempInt_HP), 3);
				var tempReste_HP_F = formatDonnees(String(tempReste_HP), 3);
				var comEau_F = formatDonnees(comEau, 5);
				var nbreJoursEJP_F = formatDonnees(nbreJoursEJP, 2);
				var objElecHC_F = formatDonnees(objElecHC, 5);
				var objElecHP_F = formatDonnees(objElecHP, 5);
				var objEau_F = formatDonnees(objEau, 3);
				var envoi = "";
				// Elaboration du message d'envoi des objectifs
				envoi = "(" + IDENT_BOARD + ";EPARA;03;" + anneeCours + ";" + tempInt_HC_F + ";" + tempReste_HC_F + ";" + tempInt_HP_F + ";" + tempReste_HP_F + ";"
						+ comEau_F + ";" + nbreJoursEJP_F + ";" + objElecHC_F + ";" + objElecHP_F + ";" + objEau_F + ")";
				window.console.log(envoi);									// pour DEBUG
				wssocket.send(envoi);
			}
			
			// Fonction de formatage des données pour envoi à la centrale
			function formatDonnees(chaine, longueur) {
				
				var masque = "          ";
				var longChaine = chaine.length;
				var ajout = longueur - longChaine;
				var fChaine = masque.substring(0, ajout) + chaine;
				
				return fChaine;
			}
			
			// Fonction de réception de la date et l'heure de la centrale domotique
			function afficheDateHeure(chaineDate)
			{
				var dateYear;
				var dateMonth;
				var dateDay;
				var dateHour;
				var dateMinute;
				var infoRecue = '';												// Informations sur la date et l'heure de la centrale
				infoRecue = chaineDate.substr(11,10);
				infoRecue = infoRecue * 1000;//en millisecondes
				//conversion de format.
				datews = new Date(infoRecue);
				window.console.log("date : " + datews);								// POUR DEBUG
				dateYear = datews.getFullYear();
				dateMonth = (datews.getMonth()) + 1;
				dateDay = datews.getDate();
				dateHour = datews.getHours();
				dateMinute = datews.getMinutes();
				//Ajout de caractères 0;
					if(dateMonth < 10) dateMonth = '0' + dateMonth.toString();
					else dateMonth = dateMonth.toString();		
					if(dateDay < 10) dateDay = '0' + dateDay.toString();
					else dateDay = dateDay.toString();				
					if(dateHour < 10) dateHour = '0' + dateHour.toString();
					else dateHour = dateHour.toString();				
					if(dateMinute < 10) dateMinute = '0' + dateMinute.toString();
					else dateMinute = dateMinute.toString();				
				//Affichage de la date/heure
				$l("Jr").value = dateDay;
				$l("Ms").value = dateMonth;
				$l("An").value = dateYear;
				$l("Heu").value = dateHour;
				$l("Min").value = dateMinute;
			}
			
			// Fonction d'envoi des paramètres des volets à la centrale
			function onClickButton()
			{
				var envoi = "";
				// vérifie que les données sont valides
				for (var i=1; i<8; i++)
				{
					if ($l("Volet" + i).value < 10) {
						alert("la valeur de volet " + i + " est incorrecte");
						Erreur = True;
						break;
					}
				}
				
					if (erreur == false) {
						envoi = "(" + IDENT_BOARD + ";" + "EPARA;01;" + $l("SelectMode").value + ";" + $l("DepVolet").value + ";" + $l("Volet1").value +
									";" + $l("Volet2").value + ";" + $l("Volet3").value + ";" + $l("Volet4").value + ";" + $l("Volet5").value +
									";" + $l("Volet6").value + ";" + $l("Volet7").value + ";" + $l("Volet8").value + ")";
						window.console.log(envoi);									// pour DEBUG
						wssocket.send(envoi);
					}
			}
			
			// Fonctions de réinitialisation des sondes dans la mémoire Arduino
			function onClickReset()
			{
				var envoi = "";
				envoi = "(" + IDENT_BOARD + ";" + "INITI;01" + ")";
				window.console.log(envoi);									// pour DEBUG
				wssocket.send(envoi);
					for (var i=1; i<16; i++) {
						$l("NumT_" + i).value = '0';
						$l("IdT_" + i).innerHTML = '0';
					}
			}
			// ******************************Fin des fonctions Paramètres *************************************************************************--

			//Fonction temporisée d'affichage de page après deconnexion de websocket.
			function lienpageweb(page,numP)
			{
				wssocket.send('(' + IDENT_BOARD + ';'+'PAGEC' + ';' + numP + ')');							// envoi du numéro de page demandée
				onClose();
				lienPage = page;
				setTimeout("golien()", TIMER_PAGE);
    		}
			
    		// Fonction d'ouverture de la page demandée
    		function golien()
			{
				document.location.href = lienPage;
    		}
			
			// Fonction pour simplifier l'accès aux variables de la page
			function $l(id)
			{
  				return document.getElementById(id); // fonction '$' recherche l'element html par son 'id'
			}
			
			// Lance l'initialisation de la page
			window.addEventListener('load', init, false);

		</script>
	</head>
	<body>
		<div id="Titre_Page">
			<img id="Image_Titre" src="Images/Titre_Parametres.png" alt="Titre Parametres" />
		</div>
		<p></p>
		<div id="Conteneur1">
			<div id="Conteneur_Volets">
				<p id="Titre_Volet"> Paramétrage des volets</p>
				<form id="MonForm">
					<fieldset>
						<legend> Position de départ :</legend>
						<p>
							<label for="SelectMode">Mode de départ :</label>
							<Select id="SelectMode" name="SelectMode">
								<Option value="00"> Simple </Option>
								<Option value="01"> Multiple </Option>
							</select>
						</p>
						<p>
							<label for="DepVolet">Volet de départ :</label>
							<Select id="DepVolet" name="DepVolet">
								<Option value="01"> Volet 1 </Option>
								<Option value="02"> Volet 2 </Option>
								<Option value="03"> Volet 3 </Option>
								<Option value="04"> Volet 4 </Option>
								<Option value="05"> Volet 5 </Option>
								<Option value="06"> Volet 6 </Option>
								<Option value="07"> Volet 7 </Option>
								<Option value="08"> Volet 8 </Option>
							</select>
						</p>
					</fieldset>
					<fieldset>
						<legend>Durées des mouvements (en sec.) :</legend>
						<p>
							<label for="Volet1">Volet 1 :</label>
							<input type="number" id="Volet1" name="Volet1" maxlength="2" />
						</p>
						<p>
							<label for="Volet2">Volet 2 :</label>
							<input type="number" id="Volet2" name="Volet2" maxlength="2" />
						</p>
						<p>
							<label for="Volet3">Volet 3 :</label>
							<input type="number" id="Volet3" name="Volet3" maxlength="2" />
						</p>
						<p>
							<label for="Volet4">Volet 4 :</label>
							<input type="number" id="Volet4" name="Volet4" maxlength="2" />
						</p>
						<p>
							<label for="Volet5">Volet 5 :</label>
							<input type="number" id="Volet5" name="Volet5" maxlength="2" />
						</p>
						<p>
							<label for="Volet6">Volet 6 :</label>
							<input type="number" id="Volet6" name="Volet6" maxlength="2" />
						</p>
						<p>
							<label for="Volet7">Volet 7 :</label>
							<input type="number" id="Volet7" name="Volet7" maxlength="2" />
						</p>
						<p>
							<label for="Volet8">Volet 8 :</label>
							<input type="number" id="Volet8" name="Volet8" maxlength="2" />
						</p>
					</fieldset>
				</form>
				<div id="Envoi"><button id="Bouton" onclick="onClickButton()">Envoyer les données</button></div>
			</div>
			<div id="Retour">
				<a target="_blank" onclick='lienpageweb("index.php","01")'><img id="BAcceuil" src="Images/Bouton_Acceuil.png" alt="Bouton Acceuil" /></a>
			</div>
		</div>
		<div id="Conteneur2">
			<div id="Conteneur_Temp">
				<div class="Titre_Temp">Appairage</div>
				<div class="Titre_Temp">Sondes T°</div>
					<table class="Table_Temp">
						<tr>
							<th id="Col1">Pièces</th>
							<th id="Col2">N°</th>
							<th id="Col3">ID</th>
						</tr>
						<tr>
							<td><div id="TextTemp_1"></div></td>
							<td><input type="number" class="NumT" id="NumT_1" maxlength="2" value='' onchange="appaireT(1,NumT_1.value)"/></td>
							<td><div id="IdT_1"></div></td>
						</tr>
						<tr>
							<td><div id="TextTemp_2"></div></td>
							<td><input type="number" class="NumT" id="NumT_2" maxlength="2" value='' onchange="appaireT(2,NumT_2.value)"/></td>
							<td><div id="IdT_2"></div></td>
						</tr>
						<tr>
							<td><div id="TextTemp_3"></div></td>
							<td><input type="number" class="NumT" id="NumT_3" maxlength="2" value='' onchange="appaireT(3,NumT_3.value)"/></td>
							<td><div id="IdT_3"></div></td>
						</tr>
						<tr>
							<td><div id="TextTemp_4"></div></td>
							<td><input type="number" class="NumT" id="NumT_4" maxlength="2" value='' onchange="appaireT(4,NumT_4.value)"/></td>
							<td><div id="IdT_4"></div></td>
						</tr>
						<tr>
							<td><div id="TextTemp_5"></div></td>
							<td><input type="number" class="NumT" id="NumT_5" maxlength="2" value='' onchange="appaireT(5,NumT_5.value)" /></td>
							<td><div id="IdT_5"></div></td>
						</tr>
						<tr>
							<td><div id="TextTemp_6"></div></td>
							<td><input type="number" class="NumT" id="NumT_6" maxlength="2" value='' onchange="appaireT(6,NumT_6.value)" /></td>
							<td><div id="IdT_6"></div></td>
						</tr>
						<tr>
							<td><div id="TextTemp_7"></div></td>
							<td><input type="number" class="NumT" id="NumT_7" maxlength="2" value='' onchange="appaireT(7,NumT_7.value)" /></td>
							<td><div id="IdT_7"></div></td>
						</tr>
						<tr>
							<td><div id="TextTemp_8"></div></td>
							<td><input type="number" class="NumT" id="NumT_8" maxlength="2" value='' onchange="appaireT(8,NumT_8.value)" /></td>
							<td><div id="IdT_8"></div></td>
						</tr>
						<tr>
							<td><div id="TextTemp_9"></div></td>
							<td><input type="number" class="NumT" id="NumT_9" maxlength="2" value='' onchange="appaireT(9,NumT_9.value)" /></td>
							<td><div id="IdT_9"></div></td>
						</tr>
						<tr>
							<td><div id="TextTemp_10"></div></td>
							<td><input type="number" class="NumT" id="NumT_10" maxlength="2" value='' onchange="appaireT(10,NumT_10.value)" /></td>
							<td><div id="IdT_10"></div></td>
						</tr>
						<tr>
							<td><div id="TextTemp_11"></div></td>
							<td><input type="number" class="NumT" id="NumT_11" maxlength="2" value='' onchange="appaireT(11,NumT_11.value)" /></td>
							<td><div id="IdT_11"></div></td>
						</tr>
						<tr>
							<td><div id="TextTemp_12"></div></td>
							<td><input type="number" class="NumT" id="NumT_12" maxlength="2" value='' onchange="appaireT(12,NumT_12.value)" /></td>
							<td><div id="IdT_12"></div></td>
						</tr>
						<tr>
							<td><div id="TextTemp_13"></div></td>
							<td><input type="number" class="NumT" id="NumT_13" maxlength="2" value='' onchange="appaireT(13,NumT_13.value)" /></td>
							<td><div id="IdT_13"></div></td>
						</tr>
						<tr>
							<td><div id="TextTemp_14"></div></td>
							<td><input type="number" class="NumT" id="NumT_14" maxlength="2" value='' onchange="appaireT(14,NumT_14.value)" /></td>
							<td><div id="IdT_14"></div></td>
						</tr>
						<tr>
							<td><div id="TextTemp_15"></div></td>
							<td><input type="number" class="NumT" id="NumT_15" maxlength="2" value='' onchange="appaireT(15,NumT_15.value)" /></td>
							<td><div id="IdT_15"></div></td>
						</tr>
					</table>
				<div id="Init1"><button id="BoutonI1" onclick="annuleAppaire()">Annuler</button></div>
				<div id="Init2"><button id="BoutonI2" onclick="valideAppaire()">Valider</button></div>
			</div>
			<div id="Conteneur_RecepT">
				<div class="Titre_Temp">Reception</div>
				<div class="Titre_Temp">Sondes T°</div>
				<div>	
					<table class="Table_Temp">
						<tr>
							<th id="ColR1">N°</th>
							<th id="ColR2">ID</th>
							<th id="ColR3">T°</th>
							<th id="ColR4">Hum.</th>
							<th id="ColR5">Batt.</th>
						</tr>
						<tr class="Tr_Re">
							<td><div id="RecepNumT_1"></div></td>
							<td><div id="RecepIdT_1"></div></td>
							<td><div id="RecepTeT_1"></div></td>
							<td><div id="RecepHumT_1"></div></td>
							<td><div id="RecepBattT_1"></div></td>
						</tr>
						<tr class="Tr_Re">
							<td><div id="RecepNumT_2"></div></td>
							<td><div id="RecepIdT_2"></div></td>
							<td><div id="RecepTeT_2"></div></td>
							<td><div id="RecepHumT_2"></div></td>
							<td><div id="RecepBattT_2"></div></td>
						</tr>
						<tr class="Tr_Re">
							<td><div id="RecepNumT_3"></div></td>
							<td><div id="RecepIdT_3"></div></td>
							<td><div id="RecepTeT_3"></div></td>
							<td><div id="RecepHumT_3"></div></td>
							<td><div id="RecepBattT_3"></div></td>
						</tr>
						<tr class="Tr_Re">
							<td><div id="RecepNumT_4"></div></td>
							<td><div id="RecepIdT_4"></div></td>
							<td><div id="RecepTeT_4"></div></td>
							<td><div id="RecepHumT_4"></div></td>
							<td><div id="RecepBattT_4"></div></td>
						</tr>
						<tr class="Tr_Re">
							<td><div id="RecepNumT_5"></div></td>
							<td><div id="RecepIdT_5"></div></td>
							<td><div id="RecepTeT_5"></div></td>
							<td><div id="RecepHumT_5"></div></td>
							<td><div id="RecepBattT_5"></div></td>
						</tr>
						<tr class="Tr_Re">
							<td><div id="RecepNumT_6"></div></td>
							<td><div id="RecepIdT_6"></div></td>
							<td><div id="RecepTeT_6"></div></td>
							<td><div id="RecepHumT_6"></div></td>
							<td><div id="RecepBattT_6"></div></td>
						</tr>
						<tr class="Tr_Re">
							<td><div id="RecepNumT_7"></div></td>
							<td><div id="RecepIdT_7"></div></td>
							<td><div id="RecepTeT_7"></div></td>
							<td><div id="RecepHumT_7"></div></td>
							<td><div id="RecepBattT_7"></div></td>
						</tr>
						<tr class="Tr_Re">
							<td><div id="RecepNumT_8"></div></td>
							<td><div id="RecepIdT_8"></div></td>
							<td><div id="RecepTeT_8"></div></td>
							<td><div id="RecepHumT_8"></div></td>
							<td><div id="RecepBattT_8"></div></td>
						</tr>
						<tr class="Tr_Re">
							<td><div id="RecepNumT_9"></div></td>
							<td><div id="RecepIdT_9"></div></td>
							<td><div id="RecepTeT_9"></div></td>
							<td><div id="RecepHumT_9"></div></td>
							<td><div id="RecepBattT_9"></div></td>
						</tr>
						<tr class="Tr_Re">
							<td><div id="RecepNumT_10"></div></td>
							<td><div id="RecepIdT_10"></div></td>
							<td><div id="RecepTeT_10"></div></td>
							<td><div id="RecepHumT_10"></div></td>
							<td><div id="RecepBattT_10"></div></td>
						</tr>
						<tr class="Tr_Re">
							<td><div id="RecepNumT_11"></div></td>
							<td><div id="RecepIdT_11"></div></td>
							<td><div id="RecepTeT_11"></div></td>
							<td><div id="RecepHumT_11"></div></td>
							<td><div id="RecepBattT_11"></div></td>
						</tr>
						<tr class="Tr_Re">
							<td><div id="RecepNumT_12"></div></td>
							<td><div id="RecepIdT_12"></div></td>
							<td><div id="RecepTeT_12"></div></td>
							<td><div id="RecepHumT_12"></div></td>
							<td><div id="RecepBattT_12"></div></td>
						</tr>
						<tr class="Tr_Re">
							<td><div id="RecepNumT_13"></div></td>
							<td><div id="RecepIdT_13"></div></td>
							<td><div id="RecepTeT_13"></div></td>
							<td><div id="RecepHumT_13"></div></td>
							<td><div id="RecepBattT_13"></div></td>
						</tr>
						<tr class="Tr_Re">
							<td><div id="RecepNumT_14"></div></td>
							<td><div id="RecepIdT_14"></div></td>
							<td><div id="RecepTeT_14"></div></td>
							<td><div id="RecepHumT_14"></div></td>
							<td><div id="RecepBattT_14"></div></td>
						</tr>
						<tr class="Tr_Re">
							<td><div id="RecepNumT_15"></div></td>
							<td><div id="RecepIdT_15"></div></td>
							<td><div id="RecepTeT_15"></div></td>
							<td><div id="RecepHumT_15"></div></td>
							<td><div id="RecepBattT_15"></div></td>
						</tr>
					</table>
				</div>
				<div id="Init3"><button id="BoutonI3" onclick="onClickReset()">Réinitialisation des sondes</button></div>
			</div>
			<div id="Status">
				<p></p>
				<!-- Tableau d'affichage du status de la connexion au serveur websocket -->
				<table id="Table_Status">
					<tbody><tr>
						<td>Status Connexion :</td>
						<td><div id="WsConnect">connecté...</div></td>
					</tr></tbody>
				</table>
			</div>
		</div>
		<div id="Conteneur3">
			<div id="Objectif_Elec">
				<div id="Titre_Objectif">Objectif Consommation</div>
				<div>
					<table id="Table_Releve">
						<tr>
							<td colspan="2">Relevés des compteurs</td>
						</tr>
						<tr>
							<th colspan="2"><div id="Date_Releve">au 01/01/2017</div></th>
						</tr>
						<tr>
							<td>Electricité H.C (Kwatts)</td>
							<td><input type="number" class="Objec" id="ComElecHC" maxlength="6" value='' /></td>
						</tr>
						<tr>
							<td>Electricité H.P (Kwatts)</td>
							<td><input type="number" class="Objec" id="ComElecHP" maxlength="6" value='' /></td>
						</tr>
						<tr>
							<td>Eau (M. cube)</td>
							<td><input type="number" class="Objec" id="ComEau" maxlength="5" value='' /></td>
						</tr>	
						<tr>
							<td>Nbre jours EJP</td>
							<td><input type="number" class="Objec" id="JoursEJP" maxlength="2" value='' /></td>
						</tr>	
					</table>	
					<table id="Table_Objectif">
						<tr>
							<th colspan="2"><div id="Date_Objec">Objectif Année 2017</div></th>
						</tr>
						<tr>
							<td>Electricité H.C Watts)</td>
							<td><input type="number" class="Objec" id="ObjElecHC" maxlength="5" value='' /></td>
						</tr>
						<tr>
							<td>Electricité H.P (Watts)</td>
							<td><input type="number" class="Objec" id="ObjElecHP" maxlength="5" value='' /></td>
						</tr>
						<tr>
							<td>Eau (M. cube)</td>
							<td><input type="number" class="Objec" id="ObjEau" maxlength="3" value='' /></td>
						</tr>	
					</table>
				</div>		
				<div id="Init1"><button id="BoutonI4" onclick="annuleObjectif()">Annuler</button></div>
				<div id="Init2"><button id="BoutonI5" onclick="valideObjectif()">Valider</button></div>
			</div>
			<div id="Conteneur_Heure">
				<div id="Titre_Heure">Remise à l'heure Centrale</div>
				<div id="Cont_Date">
					Date :
					<input type="number" class="NumT" id="Jr" maxlength="2" value=''/>/
					<input type="number" class="NumT" id="Ms" maxlength="2" value=''/>/
					<input type="number" id="An" maxlength="4" value=''/>
				</div>
				<div id="Cont_Heure">
					Heure :
					<input type="number" class="NumT" id="Heu" maxlength="2" value=''/>h
					<input type="number" class="NumT" id="Min" maxlength="2" value=''/>mn
				</div>
				<div id="Val1"><button id="BoutonI6" onclick="valideDate()">Valider</button></div>
			</div>
		</div>
		<p></p>
	</body>
</html>