<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta http-equiv="content-language" content="fr" />
		<link rel="stylesheet" type="text/css" href="css/datapicker/jquery-ui.css" >
		<link rel="stylesheet" type="text/css" href="css/Style_ProgVolets.css" />
		<script src="external/jquery/jquery.js"></script>
		<script language="javascript" type="text/javascript" src="script/jquery-ui.js"></script>
		<script language="javascript" type="text/javascript" src="script/datepicker-fr.js"></script>
        <script language="javascript" type="text/javascript" src="script/DomoMaison_config.js"></script>
		<script type="text/javascript">
			
            // --------------- Variables globales de la Page_ProgVolets.php du programme DomoMaison_2017 ------------------------------------------------
			var ipJ = '';												// ip de l'ordinateur appelant
			var wsArdu = '';											// adresse websocket de l'Arduino
			var lienPage;
			// --------------------------------------------------------------------------------------------------------------------------------------
			
			// ******************************Début des fonctions WebSocket **************************************************************************
			// Fonction d'initialisation de la page
			$(document).ready(function()
			{ 
				$.datepicker.setDefaults( $.datepicker.regional[ "fr" ] );
				$( "#Sjo5" ).datepicker();
				$( "#Sjo6" ).datepicker();
				$( "#Sjo7" ).datepicker();
				$( "#Sjo8" ).datepicker();
				recupIp();
				testWebSocket();
			}); 

 			// Récupération de l'ip de l'appelant
			function recupIp()
			{
				<?php $ip=$_SERVER["REMOTE_ADDR"];?>
				ipJ = '<?php echo $ip; ?>' ;
					if ((ipJ=='::1') || (ipJ.substring(0,9)=='192.168.1')) {
						wsArdu = WS_ARDU_LOCAL;				// ordinateur appelant local
					}
					else {
						wsArdu = WS_ARDU_INTERNET;				// ordinateur appelant Internet
					}
			}
			
			// Fonction de test de la connexion websocket
			function testWebSocket()
			{
            	wssocket = new WebSocket(wsArdu);
                wssocket.onopen = function() { onOpen() };
                wssocket.onmessage = function(evt) { onMessage(evt) };
            	wssocket.onerror = function(evt) {onError(evt) };
         		wssocket.onclose = function() { onClose() };
			}

			// Fonction de connexion du websocket
			function onOpen()
			{
				$l("WsConnect").innerHTML = 'Connecté...';
				$l("WsConnect").style.backgroundColor = 'rgb(228,244,244)';
                wssocket.send("Connexion etablie");
				wssocket.send('(' + IDENT_BOARD + ';DPROV)');						// demande à la centrale d'envoyer la programmation des volets
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';12)');			// envoi de la page en cours
			}
			
			// Fonction de fermeture du websocket
			function onClose()
			{
				$l("WsConnect").innerHTML = 'Déconnecté...';
				$l("WsConnect").style.backgroundColor = 'red';
				// websocket.close();
				websocket = null;
			}

			// Fonction de traitement des messages reçu de la centrale domotique
			function onMessage(evt) {
            	window.console.log(evt.data);										// POUR DEBUG
				var identifiantRecu = 'XXXX'; 										//identifiant dans la trame reçue du serveur.
				var typeRecu = 'XXXXX';												//type d'information reçue du serveur.
				var valeurRecue = "";												//valeur dans la trame reçue du serveur.
				var chaineRecue = evt.data.substring(1, evt.data.length-1);
				var tableau = chaineRecue.split(';');
				identifiantRecu = tableau[0];
				typeRecu = tableau[1];
					if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'MESSA')) {
						valeurRecue = tableau[3];
						if (valeurRecue == 'envoiOK') {
							alert("Envoi des programmations OK");
						}
					}
					else if ((identifiantRecu == IDENT_BOARD) && (typeRecu == 'PROGV')) {
						chargeProgVolet(chaineRecue);
					}
			}

			// Fonction de traitement des erreurs de la connexion websocket
			function onError(evt) {
				$l("WsConnect").style.backgroundColor = 'red';
            	$l("WsConnect").innerHTML = "ERROR: " + evt.data;
			}

			// ****************************** Fin des fonctions WebSocket ***************************************************************************

			// ************************* Debut de la partie gérant la programmation des volets ******************************************************
			// fonction de chargement de la programmation des volets
			function chargeProgVolet(chaine)
			{
				var chTemp;
				var tableau = chaine.split(';');
				var numProg = parseInt(tableau[2]);						// N° du programme
				var dateProg = tableau[4];								// date du programme
            	window.console.log(dateProg);							// POUR DEBUG
				
				switch (dateProg) {
					case "32/32/2032":									// programme pour la semaine
						$l('Sjo' + numProg).selectedIndex = 0;
						break;
					case "33/33/2033":									// programme pour le week-end
						$l('Sjo' + numProg).selectedIndex = 1;
						break;
					case "99/99/2099":									// pas de date sélectionnée
						$l('Sjo' + numProg).value = "";
						break;
					default:
						$l('Sjo' + numProg).value = dateProg;			// programme pour une journée spécifique
						break;
				}
				for (var i=1; i<9; i++) {
					chtemp=chaine.substring(26 + i, 27 + i);			// Sélection volets
						if (chtemp == "1") {
							$l('V' + numProg + i).checked = true;
						}
						else {
							$l('V' + numProg + i).checked = false;
						}
				}
				chTemp = tableau[6];									// Heures ouverture
				$l('Hou' + numProg).value = chTemp;
				chTemp = tableau[7];									// Minutes ouverture
				$l('Mou' + numProg).value = chTemp;
				chTemp = tableau[8];									// Heures fermeture
				$l('Hfe' + numProg).value = chTemp;
				chTemp = tableau[9];									// Minutes fermeture
				$l('Mfe' + numProg).value = chTemp;
				chTemp = tableau[3];									// Activé ou non
					if (chTemp == 1) {
						$l('A' + numProg).checked = true;
					}
					else {
						$l('A' + numProg).checked = false;
					}
			}
			
			// Fonction d'envoi de la programmation des volets à la centrale
			function onClickButton()
			{
				// vérifie d'abord la saisie
				var valid = verifieSaisie();
				
				// Envoi pour chaque ligne de programme d'un message sous la forme :
				// (ME01;ENPRV:01;0;12/10/2017;00110010;00;00;00;00)
					
				if (valid == false) {
					var act = 0;				// activé ou non (0 pour non activé et 1 pour activé)
					var jpr = "";				// 32/32/3232 pour semaine ou 33/33/3333 pour week-end ou date
					var volS = "";				// chaine de 8 caractères ( 1 pour volet sélectionné ou 0 pour non sélectionné)
					var envoi = "";				// chaine complète envoyée à la centrale domotique pour chaque programme
				
					for (var i=1; i<9; i++) {
						envoi = '(' + IDENT_BOARD + ';ENPRV;0' + i;
							if ($l('A' + i).checked == true) {
							act = '1';
							}
							else {
							act = '0';
							}
							if ($l('Sjo' + i).value == "") {
								jpr = '99/99/9999';
							}
							else {
								jpr = $l('Sjo' + i).value;
							}
						envoi = envoi + ';' + act + ';' + jpr + ';';
							for (var j=1; j<9; j++) {
								if ($l('V' + i + j).checked == true) {
									volS = "1";
								}
								else {
									volS = "0";
								}
								envoi = envoi + volS;
							}
						envoi = envoi + ';' + $l('Hou' + i).value + ';' + $l('Mou' + i).value + ';' + $l('Hfe' + i).value + ';' + $l('Mfe' + i).value + ')';
            			window.console.log(envoi);					// POUR DEBUG
						wssocket.send(envoi);
					}
				}
			}
			
			// Fonction de vérification de la bonne saisie de la programmation des volets
			function verifieSaisie()
			{
				var erreur = false;
				var err1;
				var err2;
				var msg = "";
				
				for (var i=1; i<9; i++) {
					if ($l('A' + i).checked == true) {
						if ($l('Sjo' + i).value == "") {
							erreur = true;
							msg = "Erreur de date programme " + i;
							break;
						}
						err1 = false;
						err2 = false;
						if (($l('Hou' + i).value == "99") || ($l('Mou' + i).value == "99")) {
							err1 = true;
						}
						if (($l('Hfe' + i).value == "99") || ($l('Mfe' + i).value == "99")) {
							err2 = true;
						}
						if ((err1 == true) && (err2 == true)) {
							erreur = true;
							msg = "Erreur dans les horaires programme " + i;
							break;
						}
						erreur=true;
						msg = "Aucun volet sélectionné programme " + i;
						for (var j=1; j<9; j++) {
							if ($l('V' + i + j).checked == true) {
								erreur = false;
								break;	
							}
						}
					}
				}
					if (erreur == true) {
						alert(msg);
					}
					return erreur
			}
			
			//Fonction temporisée d'affichage de page après deconnexion de websocket.
			function lienpageweb(page, numP){
				wssocket.send('(' + IDENT_BOARD + ';' + 'PAGEC' + ';' + numP + ')');		// envoi du numéro de page demandée
				onClose();
				lienPage = page;
				setTimeout("golien()", TIMER_PAGE);
    		}
			
    		// Fonction d'ouverture de la page demandée
    		function golien(){
				document.location.href = lienPage;
    		}
			
			// Fonction pour simplifier l'accès aux variables de la page
			function $l(id) {
  				return document.getElementById(id); // fonction '$$' recherche l'element html par son 'id'
			}

		</script>
    </head>
	<body>
		<div id="Titre_Page">
			<img id="Image_Titre" src="Images/Titre_ProgVolets.png" alt="Titre Programmation volets">
		</div>
        <p></p>
		<div id="Tableau">
        	<table id="Table1">
            	<tr>
               		<th><strong>N°</strong></th>
                    <th><strong>Jour</strong></th>
                    <th colspan="8"><strong>Sélection des volets</strong></th>
                    <th colspan="2"><strong>Ouverture</strong></th>
                    <th colspan="2"><strong>fermeture</strong></th>
                    <th><strong>Activé</strong></th>
                </tr>
                <tr>
                	<td>1</td>
                    <td>
                    	<select name="Sjo1" id="Sjo1">
                        	<option value="32/32/3232">Semaine</option>
                        	<option value="33/33/3333">Week-end</option>
                        </select>
                  	</td>
                    <td><label for="V11">1 :</label><input type="checkbox" name="V11" id="V11" /></td>    
                    <td><label for="V12">2 :</label><input type="checkbox" name="V12" id="V12" /></td>    
                    <td><label for="V13">3 :</label><input type="checkbox" name="V13" id="V13" /></td>    
                    <td><label for="V14">4 :</label><input type="checkbox" name="V14" id="V14" /></td>    
                    <td><label for="V15">5 :</label><input type="checkbox" name="V15" id="V15" /></td>    
                    <td><label for="V16">6 :</label><input type="checkbox" name="V16" id="V16" /></td>    
                    <td><label for="V17">7 :</label><input type="checkbox" name="V17" id="V17" /></td>    
                    <td><label for="V18">8 :</label><input type="checkbox" name="V18" id="V18" /></td>  
                    <td>
                    	<select name="Hou1" id="Hou1">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Mou1" id="Mou1">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<select name="Hfe1" id="Hfe1">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Mfe1" id="Mfe1">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<input type="checkbox" name="A1" id="A1" />
                    </td>    
                </tr>
                <tr>
                	<td>2</td>
                	<td>
                    	<select name="Sjo2" id="Sjo2">
                        	<option value="32/32/3232">Semaine</option>
                        	<option value="33/33/3333">Week-end</option>
                        </select>
                  	</td>
                    <td><label for="V21">1 :</label><input type="checkbox" name="V21" id="V21" /></td>    
                    <td><label for="V22">2 :</label><input type="checkbox" name="V22" id="V22" /></td>    
                    <td><label for="V23">3 :</label><input type="checkbox" name="V23" id="V23" /></td>    
                    <td><label for="V24">4 :</label><input type="checkbox" name="V24" id="V24" /></td>    
                    <td><label for="V25">5 :</label><input type="checkbox" name="V25" id="V25" /></td>    
                    <td><label for="V26">6 :</label><input type="checkbox" name="V26" id="V26" /></td>    
                    <td><label for="V27">7 :</label><input type="checkbox" name="V27" id="V27" /></td>    
                    <td><label for="V28">8 :</label><input type="checkbox" name="V28" id="V28" /></td>  
                    <td>
                    	<select name="Hou2" id="Hou2">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Mou2" id="Mou2">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<select name="Hfe2" id="Hfe2">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Mfe2" id="Mfe2">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<input type="checkbox" name="A2" id="A2" />
                    </td>    
                </tr>
                <tr>
                	<td>3</td>
                	<td>
                    	<select name="Sjo3" id="Sjo3">
                        	<option value="32/32/3232">Semaine</option>
                        	<option value="33/33/3333">Week-end</option>
                        </select>
                  	</td>
                    <td><label for="V31">1 :</label><input type="checkbox" name="V31" id="V31" /></td>    
                    <td><label for="V32">2 :</label><input type="checkbox" name="V32" id="V32" /></td>    
                    <td><label for="V33">3 :</label><input type="checkbox" name="V33" id="V33" /></td>    
                    <td><label for="V34">4 :</label><input type="checkbox" name="V34" id="V34" /></td>    
                    <td><label for="V35">5 :</label><input type="checkbox" name="V35" id="V35" /></td>    
                    <td><label for="V36">6 :</label><input type="checkbox" name="V36" id="V36" /></td>    
                    <td><label for="V37">7 :</label><input type="checkbox" name="V37" id="V37" /></td>    
                    <td><label for="V38">8 :</label><input type="checkbox" name="V38" id="V38" /></td>  
                    <td>
                    	<select name="Hou3" id="Hou3">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Mou3" id="Mou3">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<select name="Hfe3" id="Hfe3">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Mfe3" id="Mfe3">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<input type="checkbox" name="A3" id="A3" />
                    </td>    
                </tr>
                <tr>
                	<td>4</td>
                	<td>
                    	<select name="Sjo4" id="Sjo4">
                        	<option value="32/32/3232">Semaine</option>
                        	<option value="33/33/3333">Week-end</option>
                        </select>
                  	</td>
                    <td><label for="V41">1 :</label><input type="checkbox" name="V41" id="V41" /></td>    
                    <td><label for="V42">2 :</label><input type="checkbox" name="V42" id="V42" /></td>    
                    <td><label for="V43">3 :</label><input type="checkbox" name="V43" id="V43" /></td>    
                    <td><label for="V44">4 :</label><input type="checkbox" name="V44" id="V44" /></td>    
                    <td><label for="V45">5 :</label><input type="checkbox" name="V45" id="V45" /></td>    
                    <td><label for="V46">6 :</label><input type="checkbox" name="V46" id="V46" /></td>    
                    <td><label for="V47">7 :</label><input type="checkbox" name="V47" id="V47" /></td>    
                    <td><label for="V48">8 :</label><input type="checkbox" name="V48" id="V48" /></td>  
                    <td>
                    	<select name="Hou4" id="Hou4">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Mou4" id="Mou4">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<select name="Hfe4" id="Hfe4">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Mfe4" id="Mfe4">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<input type="checkbox" name="A4" id="A4" />
                    </td>    
                </tr>
                <tr id="separ">
                 	<td>5</td>
               		<td>
						<input class="datepicker" type="text" id="Sjo5" name="Sjo5">
                    </td>
                    <td><label for="V51">1 :</label><input type="checkbox" name="V51" id="V51" /></td>    
                    <td><label for="V52">2 :</label><input type="checkbox" name="V52" id="V52" /></td>    
                    <td><label for="V53">3 :</label><input type="checkbox" name="V53" id="V53" /></td>    
                    <td><label for="V54">4 :</label><input type="checkbox" name="V54" id="V54" /></td>    
                    <td><label for="V55">5 :</label><input type="checkbox" name="V55" id="V55" /></td>    
                    <td><label for="V56">6 :</label><input type="checkbox" name="V56" id="V56" /></td>    
                    <td><label for="V57">7 :</label><input type="checkbox" name="V57" id="V57" /></td>    
                    <td><label for="V58">8 :</label><input type="checkbox" name="V58" id="V58" /></td>  
                    <td>
                    	<select name="Hou5" id="Hou5">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Mou5" id="Mou5">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<select name="Hfe5" id="Hfe5">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Mfe5" id="Mfe5">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<input type="checkbox" name="A5" id="A5" />
                    </td>    
                </tr>
                <tr>
                	<td>6</td>
                	<td>
						<input class="datepicker" type="text" id="Sjo6" name="Sjo6">
                    </td>
                    <td><label for="V61">1 :</label><input type="checkbox" name="V61" id="V61" /></td>    
                    <td><label for="V62">2 :</label><input type="checkbox" name="V62" id="V62" /></td>    
                    <td><label for="V63">3 :</label><input type="checkbox" name="V63" id="V63" /></td>    
                    <td><label for="V64">4 :</label><input type="checkbox" name="V64" id="V64" /></td>    
                    <td><label for="V65">5 :</label><input type="checkbox" name="V65" id="V65" /></td>    
                    <td><label for="V66">6 :</label><input type="checkbox" name="V66" id="V66" /></td>    
                    <td><label for="V67">7 :</label><input type="checkbox" name="V67" id="V67" /></td>    
                    <td><label for="V68">8 :</label><input type="checkbox" name="V68" id="V68" /></td>  
                    <td>
                    	<select name="Hou6" id="Hou6">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Mou6" id="Mou6">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<select name="Hfe6" id="Hfe6">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Mfe6" id="Mfe6">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<input type="checkbox" name="A6" id="A6" />
                    </td>    
                </tr>
                <tr>
                	<td>7</td>
                	<td>
						<input class="datepicker" type="text" id="Sjo7" name="Sjo7">
                    </td>
                    <td><label for="V71">1 :</label><input type="checkbox" name="V71" id="V71" /></td>    
                    <td><label for="V72">2 :</label><input type="checkbox" name="V72" id="V72" /></td>    
                    <td><label for="V73">3 :</label><input type="checkbox" name="V73" id="V73" /></td>    
                    <td><label for="V74">4 :</label><input type="checkbox" name="V74" id="V74" /></td>    
                    <td><label for="V75">5 :</label><input type="checkbox" name="V75" id="V75" /></td>    
                    <td><label for="V76">6 :</label><input type="checkbox" name="V76" id="V76" /></td>    
                    <td><label for="V77">7 :</label><input type="checkbox" name="V77" id="V77" /></td>    
                    <td><label for="V78">8 :</label><input type="checkbox" name="V78" id="V78" /></td>  
                    <td>
                    	<select name="Hou7" id="Hou7">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Mou7" id="Mou7">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<select name="Hfe7" id="Hfe7">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Mfe7" id="Mfe7">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<input type="checkbox" name="A7" id="A7" />
                    </td>    
                </tr>
                <tr>
                	<td>8</td>
                	<td>
						<input class="datepicker" type="text" id="Sjo8" name="Sjo8">
                    </td>
                    <td><label for="V81">1 :</label><input type="checkbox" name="V81" id="V81" /></td>    
                    <td><label for="V82">2 :</label><input type="checkbox" name="V82" id="V82" /></td>    
                    <td><label for="V83">3 :</label><input type="checkbox" name="V83" id="V83" /></td>    
                    <td><label for="V84">4 :</label><input type="checkbox" name="V84" id="V84" /></td>    
                    <td><label for="V85">5 :</label><input type="checkbox" name="V85" id="V85" /></td>    
                    <td><label for="V86">6 :</label><input type="checkbox" name="V86" id="V86" /></td>    
                    <td><label for="V87">7 :</label><input type="checkbox" name="V87" id="V87" /></td>    
                    <td><label for="V88">8 :</label><input type="checkbox" name="V88" id="V88" /></td>  
                    <td>
                    	<select name="Hou8" id="Hou8">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Mou8" id="Mou8">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<select name="Hfe8" id="Hfe8">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>  
                        	<option value="01">01</option>  
                        	<option value="02">02</option>  
                        	<option value="03">03</option>  
                        	<option value="04">04</option>  
                        	<option value="05">05</option>  
                        	<option value="06">06</option>  
                        	<option value="07">07</option>  
                        	<option value="08">08</option>  
                        	<option value="09">09</option>  
                        	<option value="10">10</option>  
                        	<option value="11">11</option>  
                        	<option value="12">12</option>  
                        	<option value="13">13</option>  
                        	<option value="14">14</option>  
                        	<option value="15">15</option>  
                        	<option value="16">16</option>  
                        	<option value="17">17</option>  
                        	<option value="18">18</option>  
                        	<option value="19">19</option>  
                        	<option value="20">20</option>  
                        	<option value="21">21</option>  
                        	<option value="22">22</option>  
                        	<option value="23">23</option>
                   		</select>h
                	</td>
                    <td>
                    	<select name="Mfe8" id="Mfe8">
                        	<option value="99">--</option>  
                        	<option value="00">00</option>
                        	<option value="05">05</option>
                        	<option value="10">10</option>
                        	<option value="15">15</option>
                        	<option value="20">20</option>
                        	<option value="25">25</option>
                        	<option value="30">30</option>
                        	<option value="35">35</option>
                        	<option value="40">40</option>
                        	<option value="45">45</option>
                        	<option value="50">50</option>
                        	<option value="55">55</option>
                       </select>mn
                	</td>       
                    <td>
                    	<input type="checkbox" name="A8" id="A8" />
                    </td>    
                </tr>
                <tr id="Separ">
                	<td colspan="15">
						<button id="Bouton" onclick="onClickButton()">Envoyer les données</button>
                    </td>
               	</tr>
        	</table>
        	<div id="Status">
        		<p></p>
				<!-- Tableau d'affichage du status de la connexion au serveur websocket -->
        		<table id="Table2">
        			<tbody><tr>
            			<td class="Tdstatus">Status Connexion :</td>
                		<td class="Tdstatus"><div id="WsConnect">connecté...</div></td>
            		</tr></tbody>
       			</table>
        	</div>
        </div>
        <p></p>
        <div>
			<center><a target="_blank" onclick='lienpageweb("index.php","01")'><img id="BAcceuil" src="Images/Bouton_Acceuil.png" alt="Bouton Acceuil" /></a></center>
		</div>
	</body>
</html>